﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CustomerList.ascx.cs" Inherits="ECommerce.Administration.Controls.CustomerList" %>

<script type="text/javascript">

	$(window).bind('load', function() {
		var cbHeader = $(".cbHeader input");
		var cbRowItem = $(".cbRowItem input");
		cbHeader.bind("click", function() {
			cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
		});
		cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
	});
    
</script>

<div style="text-align: right;">
	<label><%=GetLocalResourceString("Admin.UserList.NameHeader")%>:</label>
	<asp:TextBox ID="TextUserName" runat="server" Width="120"></asp:TextBox>
	<asp:DropDownList ID="DropDownListRoles" runat="server" AutoPostBack="false" Width="150">
	</asp:DropDownList>
	<asp:Button ID="ButtonSearch" runat="server" OnClick="ButtonSearch_Click" class="adminButtonBlue" />
</div>
<br />
<asp:GridView ID="GridUsers" runat="server" OnRowDataBound="GridUsers_RowDataBound" EnableViewState="true" AutoGenerateColumns="false" AllowSorting="false"
	Width="100%" OnRowUpdating="GridUsers_RowUpdating">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbUser" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfUserName" runat="server" Value='<%# Eval("UserName") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<asp:BoundField DataField="UserName" HeaderStyle-Width="15%" />
		<asp:BoundField DataField="Email" HeaderStyle-Width="20%" />
		<asp:BoundField DataField="CreationDate" HeaderStyle-Width="20%" />
		<asp:BoundField DataField="LastLoginDate" HeaderStyle-Width="20%" />
		<asp:TemplateField ItemStyle-Width="20%">
			<ItemTemplate>
				<asp:DropDownList ID="ListRole" runat="server" Width="110">
				</asp:DropDownList>
				<asp:Button ID="ButtonUpdateRole" CommandName="Update" runat="server" CssClass="adminButton" />
			</ItemTemplate>
		</asp:TemplateField>
	</Columns>
</asp:GridView>
