﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditNews.ascx.cs" Inherits="ECommerce.Administration.Controls.EditNews" %>
<div class="section-header">
	<div class="title">
		<img src="images/ico-catalog.png" />
		<asp:Label ID="LabelEditNewsTitle" runat="server"></asp:Label>
		<a href="NewsManage.aspx">(<%=GetLocalResourceString("Admin.EditNews.BackToNewsList")%>)</a>
	</div>
	<div class="options">
		<asp:Button ID="ButtonSave" runat="server" CssClass="adminButtonBlue" OnClick="ButtonSave_Click" />
	</div>
</div>
<ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManagerControl" runat="server">
</ajaxToolkit:ToolkitScriptManager>
<table class="adminContent">
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditNews.NewsTitleTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextNewsTitle" runat="server" MaxLength="100"></asp:TextBox>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="*" ValidationGroup="newsedit" ControlToValidate="TextNewsTitle"></asp:RequiredFieldValidator>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditNews.ShortContentTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextShortContent" runat="server" TextMode="MultiLine" Columns="60" Rows="6"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditNews.PublishedTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBox ID="CheckPublished" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditNews.FullContentTitle")%>
		</td>
		<td class="adminData">
			<HTMLEditor:Editor ID="EditorFullContent" runat="server" Width="100%" Height="650px" />
		</td>
	</tr>
</table>
