﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditPaymentMethod.ascx.cs" Inherits="ECommerce.Administration.Controls.EditPaymentMethod" %>
<div class="section-header">
	<div class="title">
		<img src="images/ico-catalog.png" />
		<asp:Label ID="LabelEditPaymentMethodTitle" runat="server"></asp:Label>
		<a href="PaymentMethodManage.aspx">(<%=GetLocalResourceString("Admin.EditPaymentMethod.BackToPaymentMethodList")%>)</a>
	</div>
	<div class="options">
		<asp:Button ID="ButtonSave" runat="server" CssClass="adminButtonBlue" OnClick="ButtonSave_Click" />
	</div>
</div>
<table class="adminContent">
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditPaymentMethod.NameTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextPaymentMethodName" runat="server" MaxLength="100"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditPaymentMethod.VisibleNameTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextVisibleName" runat="server" MaxLength="100"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditPaymentMethod.DescriptionTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextDescription" runat="server" TextMode="MultiLine" Columns="50" Rows="10"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditPaymentMethod.DisplayOrderTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextDisplayOrder" runat="server" MaxLength="3"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditPaymentMethod.IsActiveTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBox ID="CheckIsActive" runat="server" />
		</td>
	</tr>
</table>
