﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProduct.ascx.cs" Inherits="ECommerce.Administration.Controls.EditProduct" %>
<%@ Register Src="~/Administration/Controls/ProductBasicInfo.ascx" TagName="ProductBasicInfo" TagPrefix="ucProductBasicInfos" %>
<%@ Register Src="~/Administration/Controls/SelectTheProductCategories.ascx" TagName="SelectTheProductCategories" TagPrefix="ucSelectTheProductCategories" %>
<%@ Register Src="~/Administration/Controls/ProductTagList.ascx" TagName="ProductTagList" TagPrefix="ucProductTagList" %>
<%@ Register Src="~/Administration/Controls/RelatedProducts.ascx" TagName="RelatedProducts" TagPrefix="ucRelatedProducts" %>
<%@ Register Src="~/Administration/Controls/ProductPictures.ascx" TagName="ProductPictures" TagPrefix="ucProductPictures" %>
<%@ Register Src="~/Administration/Controls/ProductAdditionalProperty.ascx" TagName="ProductAdditionalProperty" TagPrefix="ucProductAdditionalProperty" %>
<div class="section-header">
	<div class="title">
		<img src="images/ico-catalog.png" />
		<asp:Label ID="LabelEditProductTitle" runat="server"></asp:Label>
		<a href="ProductManage.aspx">(<%=GetLocalResourceString("Admin.EditProduct.BackToProductList")%>)</a>
	</div>
	<div class="options">
		<asp:Button ID="ButtonSave" runat="server" CssClass="adminButtonBlue" OnClick="ButtonSave_Click" />
	</div>
</div>
<ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManagerControl" runat="server">
</ajaxToolkit:ToolkitScriptManager>
<ajaxToolkit:TabContainer ID="TabContainerControl" runat="server">
	<ajaxToolkit:TabPanel ID="pnlBasicInfo" runat="server">
		<ContentTemplate>
			<ucProductBasicInfos:ProductBasicInfo ID="ProductBasicInfoControl" runat="server" />
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
	<ajaxToolkit:TabPanel ID="pnlCategoryMappings" runat="server">
		<ContentTemplate>
			<ucSelectTheProductCategories:SelectTheProductCategories ID="ProductCateogryListControl" runat="server" />
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
	<ajaxToolkit:TabPanel ID="pnlTagMappings" runat="server">
		<ContentTemplate>
			<ucProductTagList:ProductTagList id="ProductTagListControl" runat="server" />
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
	<ajaxToolkit:TabPanel ID="pnlPictures" runat="server">
		<ContentTemplate>
			<ucProductPictures:ProductPictures ID="ProductPicturesControl" runat="server" />
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
	<ajaxToolkit:TabPanel ID="pnlRelatedProduct" runat="server">
		<ContentTemplate>
			<ucRelatedProducts:RelatedProducts ID="ProductListControl" runat="server" />
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
	<ajaxToolkit:TabPanel ID="pnlAdditionalProperties" runat="server">
		<ContentTemplate>
			<ucProductAdditionalProperty:ProductAdditionalProperty ID="ProductAdditionalPropertyControl" runat="server" />
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
</ajaxToolkit:TabContainer>
