﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductReview.ascx.cs" Inherits="ECommerce.Administration.Controls.EditProductReview" %>
<asp:GridView ID="GridProducts" runat="server" AutoGenerateColumns="false" AllowPaging="false" AllowSorting="false" Width="100%"
	OnRowDataBound="GridProducts_RowDataBound" DataKeyNames="ProductID">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="30%">
			<ItemTemplate>
				<asp:HyperLink ID="HyperLinkToProductDetail" runat="server" Text='<%# Eval("ProductName") %>'></asp:HyperLink>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField>
			<ItemTemplate>
				<asp:GridView ID="GridProductReviews" runat="server" AutoGenerateColumns="false" ShowHeader="false" AllowPaging="false" AllowSorting="false"
					Width="100%" OnRowDataBound="GridProductReview_RowDataBound" OnRowDeleting="GridProductReviews_RowDeleting" OnRowUpdating="GridProductReviews_RowUpdating">
					<Columns>
						<asp:TemplateField ItemStyle-Width="90%">
							<ItemTemplate>
								<div class="productreview_content">
									<%# Eval("ReviewText")%>
									<div class="productreview_author">
										<asp:HiddenField ID="hfProductReviewID" runat="server" Value='<%# Eval("ProductReviewID") %>' />
										<asp:HiddenField ID="UserID" runat="server" Value='<%# Eval("UserID") %>' />
										<%# Eval("CreatedOn")%><label>by</label>&nbsp;<asp:Literal ID="LiteralUserName" runat="server"></asp:Literal>
									</div>
								</div>
								<h4 style="color: Black;">
									<%= GetLocalResourceString("Admin.ProductReview.ReplyTitle")%>:
								</h4>
								<div id="productreviewreplyinput" class="productreview_replyinput" runat="server">
									<asp:TextBox ID="TextReply" runat="server" TextMode="MultiLine" Width="100%" Height="30"></asp:TextBox>
									<div>
										<asp:Button ID="ButtonSubmitReply" runat="server" CssClass="adminButtonBlue" CommandName="Update" />
									</div>
								</div>
								<div class="productreview_reply" runat="server" id="productreviewreply">
									<%# Eval("ReplyText") %>
									<div class="productreview_repliedon">
										<%# Eval("RepliedOn") %>
									</div>
								</div>
							</ItemTemplate>
						</asp:TemplateField>
						<asp:TemplateField ItemStyle-Width="10%">
							<ItemTemplate>
								<asp:LinkButton ID="LinkButtonDelete" runat="server" CommandName="Delete"></asp:LinkButton>
							</ItemTemplate>
						</asp:TemplateField>
					</Columns>
				</asp:GridView>
			</ItemTemplate>
		</asp:TemplateField>
	</Columns>
</asp:GridView>
