﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditShowOnHomePageProd.ascx.cs" Inherits="ECommerce.Administration.Controls.ShowOnHomePageProdManage" %>
<div style="text-align: right;">
	<asp:Label ID="LabelProductName" runat="server"></asp:Label>:
	<asp:TextBox ID="TextProdName" runat="server"></asp:TextBox>
	<asp:CheckBox ID="CheckRecommend" runat="server" />
	<asp:CheckBox ID="CheckShowOnHome" runat="server" />
	<asp:Button ID="ButtonSearch" runat="server" OnClick="ButtonSearch_Click" class="adminButtonBlue" />
</div>
<asp:GridView ID="GridProducts" runat="server" OnRowDataBound="GridProducts_RowDataBound" EnableViewState="true" AutoGenerateColumns="false"
	AllowSorting="false" Width="100%" AllowPaging="false" PagerStyle-Font-Size="Small" PagerStyle-HorizontalAlign="Right">
	<Columns>
		<asp:BoundField DataField="Name" HeaderStyle-Width="30%" />
		<asp:BoundField DataField="ListPrice" HeaderStyle-Width="5%" DataFormatString="{0:c3}" />
		<asp:BoundField DataField="CreatedOn" HeaderStyle-Width="15%" />
		<asp:BoundField DataField="UpdatedOn" HeaderStyle-Width="15%" />
		<asp:BoundField DataField="Quantity" HeaderStyle-Width="5%" />
		<asp:TemplateField HeaderStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
			<ItemTemplate>
				<asp:HiddenField ID="hfProductID" runat="server" Value='<%# Eval("ProductID") %>' />
				<asp:CheckBox ID="CheckRecommend" runat="server" />
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField HeaderStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
			<ItemTemplate>
				<asp:CheckBox ID="CheckShowOnHome" runat="server" />
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField HeaderStyle-Width="15%" ItemStyle-HorizontalAlign="Center">
			<ItemTemplate>
				<asp:TextBox ID="TextDisplayOrder" runat="server" Text='<%# Eval("DisplayOrder") %>' Width="50"></asp:TextBox>
			</ItemTemplate>
		</asp:TemplateField>
	</Columns>
</asp:GridView>
