﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="LanguageList.ascx.cs" Inherits="ECommerce.Administration.Controls.LanguageList" %>

<script type="text/javascript">

    $(window).bind('load', function() {
        var cbHeader = $(".cbHeader input");
        var cbRowItem = $(".cbRowItem input");
        cbHeader.bind("click", function() {
            cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
        });
        cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
    });
    
</script>

<asp:GridView ID="GridLanguages" runat="server" Width="100%" OnRowDataBound="GridLanguages_RowDataBound" AllowSorting="false"
	AutoGenerateColumns="false">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbLanguage" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfLanguageId" runat="server" Value='<%# Eval("LanguageID") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<asp:BoundField DataField="Name" HeaderStyle-Width="30%" />
		<asp:BoundField DataField="LanguageCulture" HeaderStyle-Width="35%" />
		<asp:CheckBoxField DataField="Published" />
	</Columns>
</asp:GridView>