﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="PaymentmethodList.ascx.cs" Inherits="ECommerce.Administration.Controls.PaymentmethodList" %>

<script type="text/javascript">

    $(window).bind('load', function() {
        var cbHeader = $(".cbHeader input");
        var cbRowItem = $(".cbRowItem input");
        cbHeader.bind("click", function() {
            cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
        });
        cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
    });
    
</script>

<asp:GridView ID="GridPaymentMethod" runat="server" OnRowDataBound="GridPaymentMethod_RowDataBound" EnableViewState="true"
	AutoGenerateColumns="false" AllowSorting="false" Width="100%">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbPaymentMethod" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfPaymentMethodId" runat="server" Value='<%# Eval("PaymentMethodID") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<%--<asp:BoundField DataField="Name" HeaderStyle-Width="30%" />--%>
		<asp:TemplateField HeaderStyle-Width="30%">
			<ItemTemplate>
				<asp:HyperLink ID="HyperLinkPaymentMethod" runat="server"></asp:HyperLink>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:BoundField DataField="VisibleName" HeaderStyle-Width="30%" />
		<asp:CheckBoxField DataField="IsActive" HeaderStyle-Width="20%" />
		<asp:BoundField DataField="DisplayOrder" HeaderStyle-Width="15%" />
	</Columns>
</asp:GridView>
