﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductCateogryList.ascx.cs" Inherits="ECommerce.Administration.Controls.ProductCateogryList" %>

<script type="text/javascript">

    $(window).bind('load', function() {
        var cbHeader = $(".cbHeader input");
        var cbRowItem = $(".cbRowItem input");
        cbHeader.bind("click", function() {
            cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
        });
        cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
    });
    
</script>

<asp:GridView ID="GridCategories" runat="server" OnRowDataBound="GridCategories_RowDataBound" EnableViewState="true" AutoGenerateColumns="false"
	AllowSorting="false" Width="100%">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbProductCategory" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfProductCategoryId" runat="server" Value='<%# Eval("CategoryID") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<%--<asp:HyperLinkField DataTextField="CategoryName" HeaderStyle-Width="15%" NavigateUrl='~/Administration/EditProdcutCategory.aspx?categoryid=<%# Eval("CategoryID") %>' />--%>
		<asp:TemplateField HeaderStyle-Width="15%">
			<ItemTemplate>
				<asp:HyperLink ID="HyperLinkCategory" runat="server"></asp:HyperLink>
			</ItemTemplate>
		</asp:TemplateField>
		<%--<asp:BoundField DataField="CategoryName" />--%>
		<asp:BoundField DataField="Description" HeaderStyle-Width="25%" />
		<asp:BoundField DataField="CreatedOn" HeaderStyle-Width="15%" />
		<asp:BoundField DataField="UpdatedOn" HeaderStyle-Width="15%" />
		<asp:CheckBoxField DataField="Published" HeaderStyle-Width="10%" />
		<asp:BoundField DataField="DisplayOrder" HeaderStyle-Width="10%" />
	</Columns>
</asp:GridView>
