﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductList.ascx.cs" Inherits="ECommerce.Administration.Controls.ProductList" %>
<script type="text/javascript">

    $(window).bind('load', function() {
        var cbHeader = $(".cbHeader input");
        var cbRowItem = $(".cbRowItem input");
        cbHeader.bind("click", function() {
            cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
        });
        cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
    });
    
</script>
<div style="text-align: right;">
	<asp:TextBox ID="TextProductName" runat="server"></asp:TextBox>
	<asp:DropDownList ID="DDLCategory" runat="server" DataTextField="CategoryName" DataValueField="CategoryID">
	</asp:DropDownList>
	<asp:Button ID="ButtonSearch" runat="server" OnClick="ButtonSearch_Click" class="adminButtonBlue" />
</div>
<asp:GridView ID="GridProducts" runat="server" OnRowDataBound="GridProducts_RowDataBound" EnableViewState="true" AutoGenerateColumns="false"
	AllowSorting="false" Width="100%" AllowPaging="false" PageSize="25" PagerStyle-Font-Size="Small" PagerStyle-HorizontalAlign="Right">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="3%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbProduct" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfProductId" runat="server" Value='<%# Eval("ProductID") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField HeaderStyle-Width="27%">
			<ItemTemplate>
				<asp:HyperLink ID="HyperLinkProductName" runat="server"></asp:HyperLink>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:BoundField DataField="ListPrice" HeaderStyle-Width="6%" DataFormatString="{0:c3}" />
		<asp:BoundField DataField="CreatedOn" HeaderStyle-Width="17%" />
		<asp:BoundField DataField="UpdatedOn" HeaderStyle-Width="17%" />
		<asp:BoundField DataField="Quantity" HeaderStyle-Width="10%" />
		<asp:CheckBoxField DataField="Published" HeaderStyle-Width="5%" />
		<asp:CheckBoxField DataField="Recommend" HeaderStyle-Width="5%" />
		<asp:CheckBoxField DataField="ShowOnHomePage" HeaderStyle-Width="10%" />
	</Columns>
</asp:GridView>
<div class="grid_pager_container">
	<asp:LinkButton ID="LinkButtonFirstPage" runat="server" CommandName="FirstPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
	&nbsp;
	<asp:Repeater ID="RepeaterPageIndex" runat="server">
		<ItemTemplate>
			<asp:LinkButton ID="LinkButtonPageIndex" runat="server" Text='<%# Eval("Index") %>' CommandName="PageIndex" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
		</ItemTemplate>
	</asp:Repeater>
	&nbsp;
	<asp:LinkButton ID="LinkButtonLastPage" runat="server" CssClass="grid_pager_nextpage" CommandName="LastPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
</div>
