﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductPictures.ascx.cs" Inherits="ECommerce.Administration.Controls.ProductPictures" %>

<script type="text/javascript">
	//	$(document).ready(function() {
	//		$('#<%=btnMoreUploads.ClientID %>').click(function() { showUploadPanels(); return false; });
	//	});

	function showUploadPanels() {
		if ($('#upl20').is(':hidden')) {
			$('#upl20').show();
			$('#upl21').show();
			$('#upl22').show();
		}
		else if ($('#upl30').is(':hidden')) {
			$('#upl30').show();
			$('#upl31').show();
			$('#upl32').show();
		}
		else {
			$('#<%=btnMoreUploads.ClientID %>').attr("disabled", "disabled");
		}
	}
</script>

<asp:Panel runat="server" ID="pnlData">
	<asp:GridView ID="gvwImages" runat="server" AutoGenerateColumns="false" DataKeyNames="PictureID" OnRowDeleting="gvwImages_RowDeleting"
		OnRowDataBound="gvwImages_RowDataBound" Width="100%" OnRowUpdating="gvwImages_RowUpdating">
		<Columns>
			<asp:TemplateField ItemStyle-Width="30%">
				<ItemTemplate>
					<asp:Image ID="iProductPicture" runat="server" />
					<asp:HiddenField ID="hfProductPictureId" runat="server" Value='<%# Eval("ProductPictureID") %>' />
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-Width="30%" ItemStyle-HorizontalAlign="Center">
				<ItemTemplate>
					<asp:TextBox ID="TextDisplayOrder" runat="server"></asp:TextBox>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="20%">
				<ItemTemplate>
					<asp:Button ID="ButtonUpdate" runat="server" CssClass="adminButton" CommandName="Update" />
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField HeaderStyle-HorizontalAlign="Center" ItemStyle-Width="20%" ItemStyle-HorizontalAlign="Center">
				<ItemTemplate>
					<asp:LinkButton ID="btnDeletePicture" runat="server" CausesValidation="false" CommandName="Delete" />
				</ItemTemplate>
			</asp:TemplateField>
		</Columns>
	</asp:GridView>
	<p>
		<strong>
			<%=GetLocalResourceString("Admin.ProductPictures.AddNewPicture")%>
		</strong>
	</p>
	<table class="adminContent">
		<tr>
			<td class="adminTitle">
				<%=GetLocalResourceString("Admin.ProductPictures.SelectPictureTitle")%>
			</td>
			<td class="adminData">
				<asp:FileUpload class="text" ID="fuProductPicture1" CssClass="adminInput" runat="server" />
			</td>
		</tr>
		<tr>
			<td class="adminTitle">
				<%=GetLocalResourceString("Admin.ProductPictures.DisplayOrderTitle")%>
			</td>
			<td class="adminData">
				<asp:TextBox ID="TextDisplayOrder1" runat="server" Text="0"></asp:TextBox>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextDisplayOrder1" ErrorMessage="*"
					ValidationGroup="UploadNewProductPicture"></asp:RequiredFieldValidator>
			</td>
		</tr>
		<tr id="upl20" style="display: none;">
			<td colspan="2">
				<br />
			</td>
		</tr>
		<tr id="upl21" style="display: none;">
			<td class="adminTitle">
				<%=GetLocalResourceString("Admin.ProductPictures.SelectPictureTitle")%>
			</td>
			<td class="adminData">
				<asp:FileUpload class="text" ID="fuProductPicture2" CssClass="adminInput" runat="server" />
			</td>
		</tr>
		<tr id="upl22" style="display: none;">
			<td class="adminTitle">
				<%=GetLocalResourceString("Admin.ProductPictures.DisplayOrderTitle")%>
			</td>
			<td class="adminData">
				<asp:TextBox ID="TextDisplayOrder2" runat="server" Text="0"></asp:TextBox>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextDisplayOrder2" ErrorMessage="*"
					ValidationGroup="UploadNewProductPicture"></asp:RequiredFieldValidator>
			</td>
		</tr>
		<tr id="upl30" style="display: none;">
			<td colspan="2">
				<br />
			</td>
		</tr>
		<tr id="upl31" style="display: none;">
			<td class="adminTitle">
				<%=GetLocalResourceString("Admin.ProductPictures.DisplayOrderTitle")%>
			</td>
			<td class="adminData">
				<asp:FileUpload class="text" ID="fuProductPicture3" CssClass="adminInput" runat="server" />
			</td>
		</tr>
		<tr id="upl32" style="display: none;">
			<td class="adminTitle">
				<%=GetLocalResourceString("Admin.ProductPictures.DisplayOrderTitle")%>
			</td>
			<td class="adminData">
				<asp:TextBox ID="TextDisplayOrder3" runat="server" Text="0"></asp:TextBox>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="TextDisplayOrder3" ErrorMessage="*"
					ValidationGroup="UploadNewProductPicture"></asp:RequiredFieldValidator>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="left">
				<asp:Button runat="server" ID="btnMoreUploads" CssClass="adminButton" Text="+" OnClientClick="javascript:showUploadPanels(); return false;" />
				<asp:Button runat="server" ID="btnUploadProductPicture" CssClass="adminButton" ValidationGroup="UploadNewProductPicture"
					OnClick="btnUploadProductPicture_Click" />
			</td>
		</tr>
	</table>
</asp:Panel>
<asp:Panel runat="server" ID="pnlMessage">
	<%=GetLocalResourceString("Admin.ProductPictures.AvailableAfterSaving")%>
</asp:Panel>
