﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductTagList.ascx.cs" Inherits="ECommerce.Administration.Controls.ProductTagList" %>

<script type="text/javascript">

	$(window).bind('load', function() {
		var cbHeader = $(".cbHeaderTagslist input");
		var cbRowItem = $(".cbRowItemTaglist input");
		cbHeader.bind("click", function() {
			cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
		});
		cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
	});
    
</script>

<asp:GridView ID="GridTags" runat="server" OnRowDataBound="GridTags_RowDataBound" EnableViewState="true" AutoGenerateColumns="false"
	AllowSorting="false" Width="100%">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeaderTagslist" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbProductTag" runat="server" CssClass="cbRowItemTaglist" />
				<asp:HiddenField ID="hfProductTagId" runat="server" Value='<%# Eval("ProductTagID") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<asp:BoundField DataField="name" HeaderStyle-Width="50%" />
		<asp:BoundField DataField="ProductCount" />
	</Columns>
</asp:GridView>
