﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SelectTheProductCategories.ascx.cs" Inherits="ECommerce.Administration.Controls.SelectTheProductCategories" %>
<script type="text/javascript">

    $(window).bind('load', function() {
        var cbHeader = $(".cbHeader input");
        var cbRowItem = $(".cbRowItem input");
        cbHeader.bind("click", function() {
            cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
        });
        cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
    });
    
</script>

<asp:GridView ID="GridCategories" runat="server" OnRowDataBound="GridCategories_RowDataBound" EnableViewState="true" AutoGenerateColumns="false"
	AllowSorting="false" Width="100%">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbProductCategory" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfProductCategoryId" runat="server" Value='<%# Eval("CategoryID") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<asp:BoundField DataField="CategoryName" HeaderStyle-Width="20%" />
		<asp:BoundField DataField="Description" HeaderStyle-Width="50%" />
		<asp:TemplateField HeaderStyle-Width="20%">
			<ItemTemplate>
				<asp:TextBox ID="TextDisplayOrder" runat="server" Width="100%" Text="0"></asp:TextBox>
			</ItemTemplate>
		</asp:TemplateField>
	</Columns>
</asp:GridView>
