﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ShippingMethodList.ascx.cs" Inherits="ECommerce.Administration.Controls.ShippingMethodList" %>

<script type="text/javascript">

    $(window).bind('load', function() {
        var cbHeader = $(".cbHeader input");
        var cbRowItem = $(".cbRowItem input");
        cbHeader.bind("click", function() {
            cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
        });
        cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
    });
    
</script>

<asp:GridView ID="GridShippingMethod" runat="server" OnRowDataBound="GridShippingMethod_RowDataBound" EnableViewState="true"
	AutoGenerateColumns="false" AllowSorting="false" Width="100%">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbShippingMethod" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfShippingMethodID" runat="server" Value='<%# Eval("ShippingMethodID") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField HeaderStyle-Width="55%">
			<ItemTemplate>
				<asp:HyperLink ID="HyperLinkShippingMethod" runat="server"></asp:HyperLink>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:CheckBoxField DataField="IsActive" HeaderStyle-Width="20%" />
		<asp:BoundField DataField="DisplayOrder" HeaderStyle-Width="15%" />
	</Columns>
</asp:GridView>
