﻿using System;

namespace ECommerce.Administration
{
	public partial class LanguageManage : AdminBasePage
	{
		protected void Page_Load(object sender, EventArgs e)
		{
			if(!IsPostBack)
			{
				ButtonAdd.Text = GetLocalResourceString("Admin.AddButtonText");
				ButtonDelete.Text = GetLocalResourceString("Admin.DeleteButtonText");
			}
		}

		protected void ButtonDelete_Click(object sender, EventArgs e)
		{
			this.LanguageListControl.DeleteSelectedLanguage();
		}

		protected void ButtonAdd_Click(object sender, EventArgs e)
		{
			Server.Transfer("EditLanguage.aspx");
		}
	}
}
