﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Login.ascx.cs" Inherits="ECommerce.Controls.Login" %>
<div class="login_container">
	<h3 class="login_header">
		<asp:Literal ID="LLoginTitle" runat="server" EnableViewState="false"></asp:Literal>
	</h3>
	<div style="margin-left: 100px; text-align: left;">
		<p>
			<asp:Literal ID="LLoginTips" runat="server" EnableViewState="false"></asp:Literal>
		</p>
	</div>
	<asp:Login ID="Login1" runat="server" OnPreRender="Login1_PreRender" OnAuthenticate="Login1_Authenticate" OnLoggedIn="Login1_LoggedIn">
		<LayoutTemplate>
			<table border="0" cellpadding="1">
				<tr>
					<td class="login_label">
						<asp:Label runat="server" ID="UserNameLabel" AssociatedControlID="UserName">
							<%= GetLocalResourceString("Login.Username.Label") %>:
						</asp:Label>
					</td>
					<td class="login_input">
						<asp:TextBox ID="UserName" runat="server" Width="160"></asp:TextBox>
						<asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" OnPreRender="UserNameRequired_PreRender"
							ToolTip="User Name is required." ValidationGroup="Login1">*
						</asp:RequiredFieldValidator>
					</td>
				</tr>
				<tr>
					<td class="login_label">
						<asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">
							<%= GetLocalResourceString("Login.Password.Label") %>:
						</asp:Label>
					</td>
					<td class="login_input">
						<asp:TextBox ID="Password" runat="server" Width="160" TextMode="Password"></asp:TextBox>
						<asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" OnPreRender="PasswordRequired_PreRender"
							ToolTip="Password is required." ValidationGroup="Login1">*
						</asp:RequiredFieldValidator>
					</td>
				</tr>
				<tr>
					<td>
					</td>
					<td class="login_input">
						<asp:CheckBox ID="RememberMe" runat="server" OnPreRender="RememberMe_PreRender" />
					</td>
				</tr>
				<tr>
					<td align="center" colspan="2" style="color: red">
						<asp:Literal ID="FailureText" runat="server" EnableViewState="False">
						</asp:Literal>
					</td>
				</tr>
				<tr>
					<td>
					</td>
					<td class="login_input">
						<asp:Button ID="LoginButton" runat="server" CommandName="Login" CssClass="button" OnPreRender="LoginButton_PreRender" ValidationGroup="Login1" />
					</td>
				</tr>
				<%--<tr>
					<td>
					</td>
					<td class="login_input">
						<a href="../GetPassword.aspx">
							<%=GetLocalResourceString("Login.PasswordRecoveryText")%>
						</a>
					</td>
				</tr>--%>
			</table>
		</LayoutTemplate>
	</asp:Login>
	<div style="margin-top:10px; text-align:left; padding-left:160px;">
		<a href="../GetPassword.aspx">
			<%=GetLocalResourceString("Login.PasswordRecoveryLink.Text") %>
		</a>
	</div>
</div>
