﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderSummary.ascx.cs" Inherits="ECommerce.Controls.OrderSummary" %>
<div id="ordersummarycontainer" class="ordersummary_container">
	<div id="orderproductlist">
		<div>
			<strong style="font-size:14px;">
				<asp:Literal ID="LOrderProductListTitle" runat="server" EnableViewState="false"></asp:Literal>
			</strong>
			<asp:HyperLink ID="HyperLinkAlterCart" runat="server"></asp:HyperLink>
		</div>
		<asp:GridView ID="GridOrderProduct" runat="server" AllowPaging="false" AllowSorting="false" AutoGenerateColumns="false" Width="650" RowStyle-Height="30"
			GridLines="Horizontal" OnRowDataBound="GridOrderProduct_RowDataBound" CssClass="ordersummary_productlist" DataKeyNames="ProductID,ShoppingCartItemID">
			<Columns>
				<asp:BoundField DataField="ProductName" ItemStyle-Width="300" HeaderStyle-HorizontalAlign="Left" />
				<asp:BoundField DataField="Quantity" HeaderStyle-HorizontalAlign="Left" ItemStyle-Width="150" />
				<asp:BoundField DataField="ListPrice" DataFormatString="{0:c2}" HeaderStyle-HorizontalAlign="Left" ItemStyle-Width="200" />
			</Columns>
		</asp:GridView>
	</div>
	<div id="orderproductsummary" style="text-align: right; width: 650px; margin-left:10px; border-top: #ccc 1px solid; padding-top: 5px;">
		<span style="padding-right: 130px;">
			<asp:Literal ID="LPriceSummaryLabel" runat="server" EnableViewState="false"></asp:Literal>
			<strong>
				<asp:Literal ID="LiteralOrderSummaryPrice" runat="server"></asp:Literal>
			</strong></span>
	</div>
</div>
