﻿using System;

namespace ECommerce.Controls
{
	public partial class OrderingInvoicing : BaseUserControl
	{
		public string InvoicingHeader
		{
			get
			{
				return TextInvoiceHeader.Text.Trim();
			}
		}

		public string InvoicingContent
		{
			get
			{
				return TextInvoiceContent.Text.Trim();
			}
		}

		protected void Page_PreRender(object sender, EventArgs e)
		{
			this.LOrderingInvoicingTitle.Text = GetLocalResourceString("OrderingInvoicing.Title");
			this.LOrderingInvoicingHeaderTitle.Text = GetLocalResourceString("OrderingInvoicing.InvoiceHeader.Title");
			this.LOrderingInvoiceContentTitle.Text = GetLocalResourceString("OrderingInvoicing.InvoiceContent.Title");
		}
	}
}