﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderingShipping.ascx.cs" Inherits="ECommerce.Controls.OrderingShipping" %>
<%@ Register Src="~/Customer/Controls/CountryProvinceCitySelector.ascx" TagName="CountryProvinceCitySelector" TagPrefix="ucCountryProvinceCitySelector" %>
<asp:ScriptManager ID="smng" runat="server">
</asp:ScriptManager>
<asp:UpdatePanel ID="UpdatePanelOrderingShipping" runat="server">
	<ContentTemplate>
		<div id="orderingshippingaddresscontainer" class="orderingshippingaddress_container">
			<div>
				<strong style="font-size: 14px;">
					<asp:Literal ID="LSelectShippingAddress" runat="server" EnableViewState="false"></asp:Literal>
				</strong>
				<asp:HyperLink ID="HyperLinkAlterAddress" runat="server"></asp:HyperLink>
			</div>
			<asp:GridView ID="GridAddress" runat="server" AllowPaging="false" AutoGenerateColumns="false" AllowSorting="false" GridLines="Horizontal" RowStyle-Height="30px"
				OnRowDataBound="GridAddress_RowDataBound" OnRowCommand="GridAddress_RowCommand" DataKeyNames="AddressId">
				<Columns>
					<asp:BoundField DataField="UserName" ItemStyle-Width="120" ItemStyle-HorizontalAlign="Left" />
					<asp:BoundField DataField="PhoneNumber" ItemStyle-Width="100" ItemStyle-HorizontalAlign="Left" />
					<asp:BoundField DataField="MobileNumber" ItemStyle-Width="120" ItemStyle-HorizontalAlign="Left" />
					<asp:BoundField DataField="StateAndCity" ItemStyle-Width="160" ItemStyle-HorizontalAlign="Left" />
					<asp:BoundField DataField="Address1" ItemStyle-Width="250" ItemStyle-HorizontalAlign="Left" />
					<asp:TemplateField>
						<ItemTemplate>
							<asp:LinkButton ID="LinkButtonSelect" runat="server" CommandName="Select" CommandArgument='<%# Eval("AddressId") %>'></asp:LinkButton>
						</ItemTemplate>
					</asp:TemplateField>
				</Columns>
				<SelectedRowStyle BackColor="#e7e7e7" />
				<EmptyDataTemplate>
					<p style="margin-left: 30px;">
						<%=GetLocalResourceString("OrderingShippingAddress.EmptyShippingAddress.Tip")%>
					</p>
				</EmptyDataTemplate>
			</asp:GridView>
		</div>
		<div id="orderingshippingmethodcontainer" class="orderingshippingmethod_container">
			<div>
				<strong style="font-size: 14px;">
					<asp:Literal ID="LSelectShippingMethodTitle" runat="server" EnableViewState="false"></asp:Literal>
				</strong>
			</div>
			<div>
				<asp:RadioButtonList ID="RadioListShippingMethods" runat="server" CellSpacing="5" RepeatColumns="8" RepeatDirection="Horizontal" ValidationGroup="Ordering"
					RepeatLayout="Table">
				</asp:RadioButtonList>
			</div>
		</div>
	</ContentTemplate>
</asp:UpdatePanel>
