﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductDescription.ascx.cs" Inherits="ECommerce.Controls.ProductDescription" %>
<div id="proddescriptioncontainer" class="prod_description_container">
	<span class="box_top_left"></span><span class="box_top_right"></span>
	<div class="box_center">
		<div class="box_title">
			<h2>
				<asp:Literal ID="LProductDescriptionTitle" runat="server" EnableViewState="false"></asp:Literal>
			</h2>
		</div>
		<table cellpadding="2" cellspacing="4" border="0" class="font_5e5e5e">
			<tr>
				<td class="bg_f6f6f6 label" valign="top" align="right">
					<asp:Literal ID="LProductDescriptionProdCodeLabel" runat="server" EnableViewState="false"></asp:Literal>:
				</td>
				<td class="content" valign="top" align="left">
					<asp:Label ID="LabelProdCode" runat="server"></asp:Label>
				</td>
			</tr>
			<tr>
				<td class="bg_f6f6f6 label" valign="top" align="right">
					<asp:Literal ID="LProductDescriptionNameLabel" runat="server" EnableViewState="false"></asp:Literal>:
				</td>
				<td class="content" valign="top" align="left">
					<asp:Label ID="LabelProdName" runat="server"></asp:Label>
				</td>
			</tr>
			<tr>
				<td class="bg_f6f6f6 label" valign="top" align="right">
					<asp:Literal ID="LProductDescriptionCategoryLabel" runat="server" EnableViewState="false"></asp:Literal>:
				</td>
				<td class="content" valign="top" align="left">
					<asp:Repeater ID="RepeaterCategoryLinks" runat="server" OnItemDataBound="RepeaterCategoryLinks_ItemDataBound" EnableViewState="false">
						<ItemTemplate>
							<asp:HyperLink ID="HyperLinkCategoryLink" runat="server"></asp:HyperLink>
						</ItemTemplate>
						<SeparatorTemplate>
							,
						</SeparatorTemplate>
						<AlternatingItemTemplate>
							<asp:HyperLink ID="HyperLinkCategoryLink" runat="server"></asp:HyperLink>
						</AlternatingItemTemplate>
					</asp:Repeater>
				</td>
			</tr>
			<tr>
				<td class="bg_f6f6f6 label" valign="top" align="right">
					<asp:Literal ID="LProductDescriptionSizeLabel" runat="server" EnableViewState="false"></asp:Literal>:
				</td>
				<td class="content" valign="top" align="left">
					<asp:Label ID="LabelProdSize" runat="server"></asp:Label>
				</td>
			</tr>
			<tr>
				<td class="bg_f6f6f6 label" valign="top" align="right">
					<asp:Literal ID="LProductDescriptionWeightLabel" runat="server" EnableViewState="false"></asp:Literal>:
				</td>
				<td class="content" valign="top" align="left">
					<asp:Label ID="LabelProdWeight" runat="server"></asp:Label>
				</td>
			</tr>
			<tr>
				<td class="bg_f6f6f6 label" valign="top" align="right">
					<asp:Literal ID="LProductDescriptionDescriptionLabel" runat="server" EnableViewState="false"></asp:Literal>:
				</td>
				<td class="content" valign="top" align="left">
					<%--<p id="TextProdDescription" runat="server">
					</p>--%>
					<asp:Literal ID="LiteralProdDescription" runat="server"></asp:Literal>
				</td>
			</tr>
			<asp:Repeater ID="RepeaterProdAddtlProperty" runat="server" EnableViewState="false">
				<ItemTemplate>
					<tr>
						<td class="bg_f6f6f6 label" valign="top" align="right">
							<%# Server.HtmlEncode(Eval("PropertyName").ToString())%>:
						</td>
						<td class="content" valign="top" align="left">
							<%# Server.HtmlEncode(Eval("PropertyValue").ToString())%>
						</td>
					</tr>
				</ItemTemplate>
			</asp:Repeater>
		</table>
	</div>
	<span class="box_bottom_left"></span><span class="box_bottom_right"></span>
</div>
