﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductProperties.ascx.cs" Inherits="ECommerce.Controls.ProductProperties" %>
<div id="prodpropertycontainer" class="prod_property_container">
	<h2>
		<asp:Label ID="LabelProdName" runat="server"></asp:Label>
	</h2>
	<table id="tableprodproperty" cellpadding="5" cellspacing="5">
		<tr>
			<td class="prod_property_label">
				<asp:Literal ID="LProductPriceLabel" runat="server" EnableViewState="false"></asp:Literal>:
			</td>
			<td class="prod_property_price">
				<%--<label>
					&nbsp;<%= GetLocalResourceString("Product.ListPrice")%>&nbsp;
				</label>--%>
				<asp:Label ID="LabelProdPrice" runat="server"></asp:Label>
			</td>
		</tr>
		<tr>
			<td class="prod_property_label">
				<asp:Literal ID="LProductPaymentMethodLabel" runat="server" EnableViewState="false"></asp:Literal>:
			</td>
			<td>
				<asp:Repeater ID="RepeaterPaymentMethods" runat="server" EnableViewState="false">
					<ItemTemplate>
						<span>
							<%# Eval("VisibleName")%>
						</span>&nbsp;
					</ItemTemplate>
				</asp:Repeater>
			</td>
		</tr>
		<tr>
			<td class="prod_property_label">
				<asp:Literal ID="LProductShippingMethodLabel" runat="server" EnableViewState="false"></asp:Literal>:
			</td>
			<td>
				<asp:Repeater ID="RepeaterShippingMethods" runat="server" EnableViewState="false">
					<ItemTemplate>
						<span>
							<%# Eval("Name")%>
						</span>&nbsp;
					</ItemTemplate>
				</asp:Repeater>
			</td>
		</tr>
		<tr>
			<td class="prod_property_label">
				<asp:Literal ID="LQuantityLabel" runat="server" EnableViewState="false"></asp:Literal>:
			</td>
			<td>
				<asp:Label ID="LabelProdQuantity" runat="server"></asp:Label>
			</td>
		</tr>
		<tr>
			<td class="prod_property_label">
				<asp:Literal ID="LCashTicketLimitLabel" runat="server" EnableViewState="false"></asp:Literal>:
			</td>
			<td>
				<asp:Label ID="LabelCashTicketLimit" runat="server"></asp:Label>
			</td>
		</tr>
		<tr>
			<td class="prod_property_label">
				<asp:Literal ID="LOperateItem" runat="server" EnableViewState="false"></asp:Literal>
			</td>
			<td>
				<span>
					<asp:Button ID="ButtonAddToCart" runat="server" CssClass="button" OnClick="ButtonAddToCart_Click" />
				</span>
				<%--<span>
					<asp:Button ID="ButtonAddToWishList" runat="server" Text='<%# GetLocalResourceString("ECommerce.AddToWishListButtonText") %>' />
				</span>--%>
			</td>
		</tr>
	</table>
</div>
