﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductReview.ascx.cs" Inherits="ECommerce.Controls.Comments" %>
<div id="productreviewcontainer" class="productreview_container">
	<span class="box_top_left"></span><span class="box_top_right"></span>
	<div class="box_center">
		<div id="productreviewtitle" class="box_title">
			<h2>
				<%= GetLocalResourceString("ProductReview.Title") %>
			</h2>
		</div>
		<div id="productreviewlist">
			<asp:Repeater ID="RepeaterProductReviews" runat="server" OnItemDataBound="RepeaterProductReviews_ItemDataBound">
				<ItemTemplate>
					<div id="productreviewbox" class="productreview_box">
						<div class="productreviewuser">
							<asp:Literal ID="LiteralDatetime" runat="server"></asp:Literal>
							<label>
								by</label>
							<asp:Literal ID="LiteralUserName" runat="server"></asp:Literal>
						</div>
						<div class="productreviewcontent">
							<asp:Literal ID="LiteralReviewContent" runat="server"></asp:Literal>
						</div>
						<div class="productreview_reply" id="productreviewreply" runat="server">
							<strong>
								<%= GetLocalResourceString("ProductReview.ReplyTitle") %>:</strong>&nbsp;
							<asp:Literal ID="LiteralReviewReply" runat="server"></asp:Literal>
							<div class="productreview_reply_repliedon">
								<asp:Literal ID="LiteralReviewReplyDate" runat="server"></asp:Literal>
							</div>
						</div>
					</div>
				</ItemTemplate>
			</asp:Repeater>
		</div>
		<div id="addproductreview" class="addproductreviewbox" runat="server">
			<h3>
				<%=GetLocalResourceString("ProductReview.AddReviewTitle")%>
			</h3>
			<asp:TextBox ID="TextReviewContent" runat="server" MaxLength="400" Rows="5" Columns="50" TextMode="MultiLine"></asp:TextBox>
			<br />
			<asp:Button ID="ButtonAddReview" runat="server" CssClass="button" OnClick="ButtonAddReview_Click" />
		</div>
	</div>
	<span class="box_bottom_left"></span><span class="box_bottom_right"></span>
</div>
