﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RelatedProducts.ascx.cs" Inherits="ECommerce.Controls.RelatedProducts" %>
<div id="relatedproductscontainer" class="relatedproducts_container">
	<span class="box_top_left"></span><span class="box_top_right"></span>
	<div class="box_center">
		<div id="relatedproductstitle" class="box_title">
			<h2>
				<asp:Literal ID="LRelatedProductsTitle" runat="server" EnableViewState="false"></asp:Literal>
			</h2>
		</div>
		<div id="relatedproducts">
			<asp:Repeater ID="RepeaterRelatedProducts" runat="server" OnItemDataBound="RepeaterRelatedProducts_ItemDataBound" EnableViewState="false">
				<ItemTemplate>
					<div id="relatedproductbox" class="relatedproduct_box">
						<div class="pictureborder">
							<asp:HyperLink ID="HyperLinkProduct" runat="server" ToolTip='<%# Eval("Name") %>'></asp:HyperLink>
						</div>
						<p style="text-align: center; font-size: 10px;">
							<%# Eval("ListPrice", "{0:c2}")%>
						</p>
					</div>
				</ItemTemplate>
			</asp:Repeater>
			<div class="clear">
			</div>
		</div>
	</div>
	<span class="box_bottom_left"></span><span class="box_bottom_right"></span>
</div>
