﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ShoppingCart.ascx.cs" Inherits="ECommerce.Controls.ShoppingCart" %>

<script type="text/javascript">
	$(document).ready(function() {
		CalculateTotalPrice();

		$("td input[type='text']").bind({
			keyup: function() {
				//var listprice = $($(this).next()).val();

				var changedvalue = parseInt($(this).val());

				//var newprice = parseInt(changedvalue) * parseFloat(listprice);

				//$($($(this).parent()).next().children("strong")).text(newprice);

				if (changedvalue != null && changedvalue != NaN) {

					CalculateTotalPrice();
				}
			},
			blur: function() {
				//var listprice = $($(this).next()).val();

				var changedvalue = parseInt($(this).val());

				//var newprice = parseInt(changedvalue) * parseFloat(listprice);

				//$($($(this).parent()).next().children("strong")).text(newprice);

				if (changedvalue != null && changedvalue != NaN) {

					CalculateTotalPrice();
				}
			}
		});

		//$("#test").bind("change", function() { alert('ll'); });
	});

	function CalculateTotalPrice() {
		var quantities = $("td input[type='text']");
		var prices = $("td input[type='hidden']");
		if (quantities != null) {
			var sumprice = 0;
			for (var i = 0; i < quantities.length; i++) {
				if ($(quantities[i]).val() > 0) {
					sumprice += parseInt($(quantities[i]).val()) * parseFloat($(prices[i]).val());
				} 
			}

			$('#labeltotalprice').text(sumprice);
		}
	}
</script>

<div id="cartcontainer">
	<div id="cartheaderleft" class="cart_header_left">
		<div id="cartheaderright" class="cart_header_right">
			<h2>
				<asp:Literal ID="LShoppingCartHeader" runat="server" EnableViewState="false"></asp:Literal>
			</h2>
		</div>
	</div>
	<div id="cartlist" class="cartlist">
		<asp:GridView ID="GridCartItems" runat="server" AllowPaging="false" OnRowCommand="GridCartItems_RowCommand" AllowSorting="false"
			EnableViewState="true" CssClass="cartitems" Width="950" AutoGenerateColumns="false" GridLines="Horizontal" DataKeyNames="ProductID,ShoppingCartItemID"
			OnRowDataBound="GridCartItems_RowDataBound">
			<Columns>
				<asp:TemplateField ItemStyle-Width="190">
					<ItemTemplate>
						<asp:HyperLink ID="HyperLinkProductImg" runat="server"></asp:HyperLink>
					</ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField ItemStyle-Width="290">
					<ItemTemplate>
						<asp:HyperLink ID="HyperLinkProduct" runat="server" Text='<%# Eval("ProductName") %>'></asp:HyperLink>
					</ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField ItemStyle-Width="150">
					<ItemTemplate>
						<asp:TextBox ID="TextQuantity" runat="server" Text='<%# Eval("Quantity") %>'></asp:TextBox>
						<input type="hidden" value='<%# Eval("ListPrice") %>' />
					</ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField ItemStyle-Width="190">
					<ItemTemplate>
						<%--<label>
							<%= GetLocalResourceString("ECommerce.Currency")%></label>--%>
						<strong>
							<%# Eval("ListPrice", "{0:c2}") %>
						</strong>
					</ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField ItemStyle-Width="60">
					<ItemTemplate>
						<asp:LinkButton ID="LinkButtonRemove" CssClass="linkbutton" CommandArgument='<%# Eval("ShoppingCartItemID") %>' runat="server"
							CommandName="RemoveCartItem"></asp:LinkButton>
					</ItemTemplate>
				</asp:TemplateField>
			</Columns>
			<HeaderStyle CssClass="cartlist_header" />
		</asp:GridView>
	</div>
	<div id="cartsummary" class="cartsummary">
		<span>
			<asp:Literal ID="LPriceSummaryLabel" runat="server" EnableViewState="false"></asp:Literal>
			<asp:Literal ID="LCurrency" runat="server" EnableViewState="false"></asp:Literal>
			<strong>
				<label id="labeltotalprice">
				</label>
			</strong></span>
	</div>
	<div id="cartoperation" class="cartoperation">
		<asp:Button ID="ButtonUpdateCart" runat="server" CssClass="button" OnClick="ButtonUpdateCart_Click" />&nbsp;
		<asp:Button ID="ButtonCheckout" runat="server" CssClass="button" OnClick="ButtonCheckout_Click" />
	</div>
</div>
