﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SiteHeader.ascx.cs" Inherits="ECommerce.Controls.SiteHeader" %>
<%@ Register Src="~/Controls/ListLanguages.ascx" TagName="ListLanguages" TagPrefix="ucListLanguages" %>
<div id="header_container">
	<div id="header_logo" class="header_logo">
		<a href="<%=ECommerce.CommonHelper.GetStoreLocation() + "HomePage.aspx"%>" class="logo">
			&nbsp;
		</a>
	</div>
	<asp:LoginView ID="LoginViewTop" runat="server">
		<AnonymousTemplate>
			<div class="loginview_container">
				[<a href="<%=Page.ResolveUrl("~/Login.aspx")%>" class="header_login">
					<%=GetLocalResourceString("ECommerce.UserLogin")%>/
					<%=GetLocalResourceString("ECommerce.UserRegister")%></a>]
			</div>
		</AnonymousTemplate>
		<LoggedInTemplate>
			<div class="loginview_container">
				<%= GetLocalResourceString("ECommerce.Welcome")%>
				<%=Page.User.Identity.Name %>
				<asp:LoginStatus ID="LoginStatus1" runat="server" CssClass="header_logout" LoginText='<%=GetLocalResourceString("Account.Logout")%>' />
			</div>
		</LoggedInTemplate>
	</asp:LoginView>
	<div class="myshoppingcart_container">
		<asp:HyperLink ID="HyperLinkMyCart" runat="server" NavigateUrl="~/ShoppingCart.aspx"></asp:HyperLink>
	</div>
	<div class="floatright">
		<div id="header_links" class="header_links">
			<div class="floatleft" style="width: 80px;">
				<div class="header_links_item">
					<img src="../App_Themes/Default/images/arrow_pre.gif" />
					<a href="<%=Page.ResolveUrl("~/AboutUs.aspx") %>">
						<asp:Literal ID="LAboutUsText" runat="server" EnableViewState="false"></asp:Literal></a>
				</div>
				<div style="height: 5px;">
				</div>
				<div class="header_links_item">
					<img src="../App_Themes/Default/images/arrow_pre.gif" />
					<a href="<%=Page.ResolveUrl("~/ShoppingGuide.aspx") %>">
						<asp:Literal ID="LShoppingGuideText" runat="server" EnableViewState="false"></asp:Literal>
					</a>
				</div>
			</div>
			<%--<div class="floatleft" style="width: 80px;">
				<ucListLanguages:ListLanguages ID="ListLanguagesControl" runat="server" />
			</div>--%>
		</div>
	<div class="header_info_container">
		<div class="header_info_item">
			<asp:Literal ID="LHoursLabel" runat="server" EnableViewState="false"></asp:Literal>]:<asp:Literal ID="LHoursText" runat="server" EnableViewState="false"></asp:Literal>
		</div>
		<div class="header_info_item" style="margin-top: 8px;">
			<asp:Literal ID="LTelLabel" runat="server" EnableViewState="false"></asp:Literal>]:<asp:Literal ID="LTelText" runat="server" EnableViewState="false"></asp:Literal>
		</div>
	</div>
</div>
<div class="clear">
</div>
</div> 