﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CountryProvinceCitySelector.ascx.cs" Inherits="ECommerce.Customer.Controls.CountryProvinceCitySelector" %>
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
	<ContentTemplate>
		<%= GetLocalResourceString("AddressManage.CountryLable") %>:
		<asp:DropDownList ID="DropDownListCountry" runat="server" DataTextField="Name" AutoPostBack="true" DataValueField="CountryID" OnSelectedIndexChanged="DropDownListCountry_SelectedIndexChanged">
		</asp:DropDownList>
		<%= GetLocalResourceString("AddressManage.ProvinceLable") %>:
		<asp:DropDownList ID="DropDownListProvince" runat="server" DataTextField="Name" DataValueField="StateProvinceID" AutoPostBack="true"
			OnSelectedIndexChanged="DropDownListProvince_SelectedIndexChanged">
		</asp:DropDownList>
		<%= GetLocalResourceString("AddressManage.CityLable") %>:
		<asp:DropDownList ID="DropDownListCity" runat="server" DataTextField="CityName" DataValueField="CityID">
		</asp:DropDownList>
	</ContentTemplate>
	<Triggers>
		<asp:AsyncPostBackTrigger ControlID="DropDownListCountry" EventName="SelectedIndexChanged" />
		<asp:AsyncPostBackTrigger ControlID="DropDownListProvince" EventName="SelectedIndexChanged" />
	</Triggers>
</asp:UpdatePanel>
