﻿<%@ Page Language="C#" MasterPageFile="~/ECommerce.Master" AutoEventWireup="true" CodeBehind="GetPassword.aspx.cs" Inherits="ECommerce.GetPassword" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<%--<asp:Label ID="Label1" runat="server" Font-Bold="True"></asp:Label><br />--%>
	<div class="passwordrecovery_container">
		<h3>
			<asp:Literal ID="LPasswordRecoveryTitle" runat="server"></asp:Literal>
		</h3>
		<asp:PasswordRecovery ID="PasswordRecovery1" runat="server" class="passwordrecovery_content">
			<UserNameTemplate>
				<table border="0" cellpadding="0" runat="server">
					<tr>
						<td align="left" colspan="2">
							<%=GetLocalResourceString("PasswordRecovery.Tips") %>
						</td>
					</tr>
					<tr>
						<td class="passwordrecovery_content_label">
							<asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">
								<%= GetLocalResourceString("PasswordRecovery.Username.Label")%>:
							</asp:Label>
						</td>
						<td class="passwordrecovery_content_input">
							<asp:TextBox ID="UserName" runat="server"></asp:TextBox>
							<asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" ErrorMessage="User Name is required." ToolTip="User Name is required."
								ValidationGroup="PasswordRecovery1">*</asp:RequiredFieldValidator>
						</td>
					</tr>
					<tr>
						<td>
						</td>
						<td class="passwordrecovery_content_input">
							<asp:Button ID="SubmitButton" runat="server" CssClass="button" CommandName="Submit" ValidationGroup="PasswordRecovery1" OnLoad="SubmitButton_Load" />
						</td>
					</tr>
					<tr>
						<td align="center" colspan="2" style="color: red">
							<asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
						</td>
					</tr>
				</table>
			</UserNameTemplate>
			<QuestionTemplate>
				<table border="0" cellpadding="0" runat="server">
					<tr>
						<td align="left" colspan="2">
							<%=GetLocalResourceString("PasswordRecovery.Question.Title") %>
						</td>
					</tr>
					<tr>
						<td align="left" colspan="2">
							<%=GetLocalResourceString("PasswordRecovery.Question.Tips") %>
						</td>
					</tr>
					<tr>
						<td class="passwordrecovery_content_label">
							<%= GetLocalResourceString("PasswordRecovery.Username.Label")%>:
						</td>
						<td class="passwordrecovery_content_input">
							<asp:Literal ID="UserName" runat="server"></asp:Literal>
						</td>
					</tr>
					<tr>
						<td class="passwordrecovery_content_label">
							<%= GetLocalResourceString("PasswordRecovery.Question.Label")%>:
						</td>
						<td class="passwordrecovery_content_input">
							<asp:Literal ID="Question" runat="server"></asp:Literal>
						</td>
					</tr>
					<tr>
						<td class="passwordrecovery_content_label">
							<asp:Label ID="AnswerLabel" runat="server" AssociatedControlID="Answer">
								<%= GetLocalResourceString("PasswordRecovery.Answer.Label")%>:
							</asp:Label>
						</td>
						<td class="passwordrecovery_content_input">
							<asp:TextBox ID="Answer" runat="server"></asp:TextBox>
							<asp:RequiredFieldValidator ID="AnswerRequired" runat="server" ControlToValidate="Answer" ErrorMessage="Answer is required." ToolTip="Answer is required."
								ValidationGroup="PasswordRecovery1">*</asp:RequiredFieldValidator>
						</td>
					</tr>
					<tr>
						<td class="passwordrecovery_content_label">
						</td>
						<td class="passwordrecovery_content_input">
							<asp:Button ID="SubmitButton" runat="server" CssClass="button" CommandName="Submit" Text="Submit" ValidationGroup="PasswordRecovery1" OnPreRender="SubmitButton_PreRender" />
						</td>
					</tr>
					<tr>
						<td align="center" colspan="2" style="color: red">
							<asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
						</td>
					</tr>
				</table>
			</QuestionTemplate>
			<SuccessTemplate>
				<table border="0" cellpadding="0" runat="server">
					<tr>
						<td style="font-size: 15px; font-weight: bold; padding-left: 15px;">
							<%=GetLocalResourceString("PasswordRecovery.Success.Tips")%>
						</td>
					</tr>
				</table>
			</SuccessTemplate>
		</asp:PasswordRecovery>
	</div>
</asp:Content>
