﻿<%@ Page Language="C#" MasterPageFile="~/ECommerce.Master" AutoEventWireup="true" CodeBehind="HomePage.aspx.cs" Inherits="ECommerce.HomePage" %>

<%@ Register Src="~/Controls/CategoryNavigation.ascx" TagName="CategoryNavigation" TagPrefix="ucCategoryNavigation" %>
<%@ Register Src="~/Controls/Tags.ascx" TagName="Tags" TagPrefix="ucTags" %>
<%@ Register Src="~/Controls/WaterWheelOnHomePage.ascx" TagName="WaterWheelOnHomePage" TagPrefix="ucWaterWheelOnHomePage" %>
<%@ Register Src="~/Controls/RecommendProducts.ascx" TagName="RecommendProducts" TagPrefix="ucRecommendProducts" %>
<%@ Register Src="~/Controls/SiteNews.ascx" TagName="SiteNews" TagPrefix="ucSiteNews" %>
<%@ Register Src="~/Controls/TopSellingProducts.ascx" TagName="TopSellingProducts" TagPrefix="ucTopSellingProducts" %>
<%@ Register Src="~/Controls/RecommendProducts24_25.ascx" TagName="RecommendProducts24_25" TagPrefix="ucRecommendProducts24_25" %>
<%@ Register Src="~/Controls/NewProducts_Left.ascx" TagName="NewProducts_Left" TagPrefix="ucNewProducts_Left" %>
<%--<%@ Register Src="~/Controls/NewProducts_Rotate.ascx" TagName="NewProducts_Rotate" TagPrefix="ucNewProducts_Rotate" %>
--%>
<%@ Register Src="~/Controls/RecommendProducts9_15.ascx" TagName="RecommendProducts9_15" TagPrefix="ucRecommendProducts9_15" %>
<%@ Register Src="~/Controls/RecommendProducts16_23.ascx" TagName="RecommendProducts16_23" TagPrefix="ucRecommendProducts16_23" %>
<%@ Register Src="~/Controls/LeftAd.ascx" TagName="LeftAd" TagPrefix="ucLeftAd" %>
<%@ Register Src="~/Controls/RightAd.ascx" TagName="RightAd" TagPrefix="ucRightAd" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
	<script src="Scripts/slideshow_buttontitle.js" type="text/javascript"></script>
	<script src="Scripts/FlashActive.js" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<div id="leftsidecontent" class="leftsidecontent">
		<div id="categorynavcontainer" class="category_nav_container">
			<ucCategoryNavigation:CategoryNavigation ID="CategoryNavigation" runat="server" />
		</div>
		<ucNewProducts_Left:NewProducts_Left ID="NewProducts_LeftControl" runat="server" />
		<ucTags:Tags ID="Tags" runat="server" />
		<ucRecommendProducts24_25:RecommendProducts24_25 ID="RecommendProducts24_25Control" runat="server" />
		<ucLeftAd:LeftAd ID="LeftAdControl" runat="server" />
	</div>
	<div id="middlesidecontent" class="middlesidecontent">
		<ucWaterWheelOnHomePage:WaterWheelOnHomePage ID="WaterWheelOnHomePage" runat="server" />
		<ucRecommendProducts:RecommendProducts ID="RecommendProductsControl" runat="server" />
		<%--<ucNewProducts_Rotate:NewProducts_Rotate ID="NewProducts_RotateControl" runat="server" />--%>
		<ucRecommendProducts9_15:RecommendProducts9_15 ID="RecommendProducts9_13Control" runat="server" />
		<ucRecommendProducts16_23:RecommendProducts16_23 ID="RecommendProducts14_21Control" runat="server" />
	</div>
	<div id="rightsidecontent" class="rightside_container">
		<ucSiteNews:SiteNews ID="SiteNews" runat="server" />
		<ucTopSellingProducts:TopSellingProducts ID="TopSellingProductsControl" runat="server" />
		<ucRightAd:RightAd ID="RightAdControl" runat="server" />
	</div>
</asp:Content>
