﻿<%@ Page Language="C#" MasterPageFile="~/ECommerce.Master" AutoEventWireup="true" CodeBehind="OrderConfirm.aspx.cs" Inherits="ECommerce.OrderConfirm" %>

<%@ Register Src="~/Controls/OrderProgress.ascx" TagName="OrderProgress" TagPrefix="ucOrderProgress" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<ucOrderProgress:OrderProgress ID="OrderProgressControl" runat="server" OrderProgressStep="Ordering" />
	<div id="orderconfirmorderidcontainer" class="orderconfirm_item">
		<strong style="font-size: 14px;">
			<asp:Literal ID="LOrderNumber" runat="server"></asp:Literal> :
			<asp:Literal ID="LiteralOrderNumber" runat="server"></asp:Literal>
		</strong>
	</div>
	<div id="orderconfirmshippingcontainer" class="orderconfirm_item">
		<div>
			<strong style="font-size: 14px;">
				<asp:Literal ID="LShippingAddressTitle" runat="server"></asp:Literal>
			</strong>
		</div>
		<div class="orderconfirm_content">
			<asp:Literal ID="LiteralUserName" runat="server"></asp:Literal><br />
			<asp:Literal ID="LiteralPhoneNumber" runat="server"></asp:Literal><br />
			<asp:Literal ID="LiteralMobileNumber" runat="server"></asp:Literal><br />
			<asp:Literal ID="LiteralAddressDetail" runat="server"></asp:Literal>
		</div>
	</div>
	<div class="orderconfirm_item">
		<div>
			<strong style="font-size: 14px;">
				<asp:Literal ID="LShippingMethodTitle" runat="server"></asp:Literal>
			</strong>
		</div>
		<div class="orderconfirm_content">
			<asp:Literal ID="LiteralShippingMethod" runat="server"></asp:Literal>
		</div>
	</div>
	<div id="orderconfirmpaymentmethodcontainer" class="orderconfirm_item">
		<div>
			<strong style="font-size: 14px;">
				<asp:Literal ID="LPaymentMethodTitle" runat="server"></asp:Literal>
			</strong>
		</div>
		<div class="orderconfirm_content">
			<asp:Literal ID="LiteralPaymentMethod" runat="server"></asp:Literal>
		</div>
	</div>
	<div id="orderconfirmorderremarkcontainer" class="orderconfirm_item" runat="server">
		<div>
			<strong style="font-size: 14px;">
				<asp:Literal ID="LOrderRemarkTitle" runat="server"></asp:Literal>
			</strong>
		</div>
		<div class="orderconfirm_content">
			<asp:Literal ID="LiteralOrderRemark" runat="server"></asp:Literal>
		</div>
	</div>
	<div id="ordersummarycontainer" class="ordersummary_container">
		<div id="orderproductlist">
			<div>
				<strong style="font-size: 14px;">
					<asp:Literal ID="LOrderProductListTitle" runat="server"></asp:Literal>
				</strong>
			</div>
			<asp:GridView ID="GridOrderProduct" runat="server" AllowPaging="false" AllowSorting="false" AutoGenerateColumns="false" Width="650" RowStyle-Height="30"
				GridLines="Horizontal" OnRowDataBound="GridOrderProduct_RowDataBound" CssClass="ordersummary_productlist" DataKeyNames="ProductID">
				<Columns>
					<asp:BoundField DataField="ProductName" ItemStyle-Width="300" HeaderStyle-HorizontalAlign="Left" />
					<asp:BoundField DataField="Quantity" HeaderStyle-HorizontalAlign="Left" ItemStyle-Width="150" />
					<asp:BoundField DataField="ListPrice" DataFormatString="{0:c2}" HeaderStyle-HorizontalAlign="Left" ItemStyle-Width="200" />
				</Columns>
			</asp:GridView>
		</div>
		<div id="orderproductsummary" style="text-align: right; width: 650px; margin-left: 10px; border-top: #ccc 1px solid; padding-top: 5px;">
			<div>
				<span style="padding-right: 130px;">
					<asp:Literal ID="LProductPriceSummaryLabel" runat="server"></asp:Literal>:
					<strong>
						<asp:Literal ID="LiteralProductPriceSummary" runat="server"></asp:Literal>
					</strong>
				</span>
			</div>
			<div>
				<span style="padding-right: 130px;">
					<asp:Literal ID="LShippingMethodPriceSummaryLabel" runat="server"></asp:Literal>:
					<strong>
						<asp:Literal ID="LiteralShippingMethodPriceSummary" runat="server"></asp:Literal>
					</strong>
				</span>
			</div>
			<div>
				<span style="padding-right: 130px;">
					<asp:Literal ID="LCashTicketCostLabel" runat="server"></asp:Literal>:
					<strong>
						-<asp:Literal ID="LiteralCashTicketCost" runat="server"></asp:Literal>
					</strong>
				</span>
			</div>
			<div>
				<span style="padding-right: 130px;">
					<asp:Literal ID="LPriceSummaryLable" runat="server"></asp:Literal>:
					<strong>
						<asp:Literal ID="LiteralOrderPriceSummary" runat="server"></asp:Literal>
					</strong>
				</span>
			</div>
		</div>
	</div>
	<div style="padding-left: 30px;">
		<asp:Button ID="ButtonPay" runat="server" OnClick="ButtonPay_Click" CssClass="button" />
		<%--<asp:HyperLink ID="HyperLinkPay" runat="server"></asp:HyperLink>--%>
	</div>
</asp:Content>
