﻿<%@ Page Language="C#" MasterPageFile="~/ECommerce.Master" AutoEventWireup="true" CodeBehind="Ordering.aspx.cs" Inherits="ECommerce.Ordering" %>

<%@ Register Src="~/Controls/OrderingShipping.ascx" TagName="OrderingShipping" TagPrefix="ucOrderingShipping" %>
<%@ Register Src="~/Controls/OrderSummary.ascx" TagName="OrderSummary" TagPrefix="ucOrderSummary" %>
<%@ Register Src="~/Controls/CheckoutPaymentMethod.ascx" TagName="CheckoutPaymentMethod" TagPrefix="ucCheckoutPaymentMethod" %>
<%@ Register Src="~/Controls/OrderProgress.ascx" TagName="OrderProgress" TagPrefix="ucOrderProgress" %>
<%@ Register Src="~/Controls/OrderingInvoicing.ascx" TagName="OrderingInvoicing" TagPrefix="ucOrderingInvoicing" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<ucOrderProgress:OrderProgress ID="OrderProgressControl" runat="server" OrderProgressStep="Ordering" />
	<ucOrderingShipping:OrderingShipping ID="OrderingShippingControl" runat="server" />
	<ucCheckoutPaymentMethod:CheckoutPaymentMethod ID="CheckoutPaymentMethodControl" runat="server" />
	<div class="ordering_cashticket_container" id="orderingcashticketcontainer" runat="server">
		<div>
			<strong style="font-size: 14px;">
				<asp:Literal ID="LCashTicketTitle" runat="server"></asp:Literal>
			</strong>
		</div>
		<div style="padding-left: 10px; margin-top: 10px;">
			<%--<div style="margin-bottom: 10px;">
				<%=GetLocalResourceString("Ordering.CashTicket.GuideInfo") %>
			</div>--%>
			<asp:DropDownList ID="DDLCashTickets" runat="server" Width="200">
			</asp:DropDownList>
		</div>
	</div>
	<div class="orderremarkcontainer">
		<div>
			<strong style="font-size: 14px;">
				<asp:Literal ID="LOrderRemarkTitle" runat="server"></asp:Literal>
			</strong>
		</div>
		<div style="padding-left: 10px;">
			<asp:TextBox ID="TextOrderRemark" runat="server" TextMode="MultiLine" Rows="3" Width="400"></asp:TextBox>
		</div>
	</div>
	<ucOrderingInvoicing:OrderingInvoicing ID="OrderingInvoicingControl" runat="server" />
	<ucOrderSummary:OrderSummary ID="OrderSummaryControl" runat="server" />
	<div runat="server" id="DivMassegeContainer" style="margin: 10px 10px;">
		<asp:Label ID="LabelMassege" runat="server" ForeColor="Red"></asp:Label>
	</div>
	<div style="padding-left: 10px;">
		<asp:Button ID="ButtonGenerateOrder" runat="server" CssClass="button" OnClick="ButtonGenerateOrder_Click" />
	</div>
</asp:Content>
