﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AdminLogin.aspx.cs" Inherits="ECommerce.Administration.AdminLogin" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title>
			Administrator login
		</title>
	</head>
	<body style="background-color: #efefef;">
		<form id="form1" runat="server">
			<div class="login-block">
				<asp:Login runat="server" ID="LoginForm" OnAuthenticate="LoginForm_Authenticate" DestinationPageUrl="~/Administration/AdminHome.aspx" RememberMeSet="True"
					OnLoggedIn="LoginForm_LoggedIn">
					<LayoutTemplate>
						<table class="login-table-container">
							<tbody>
								<tr class="row">
									<td class="item-name">
										<asp:Literal runat="server" ID="lUsernameOrEmail" Text="User Name:" />
									</td>
								</tr>
								<tr class="row">
									<td class="item-value">
										<asp:TextBox ID="UserName" runat="server" CssClass="adminInput" Style="width: 200px;" OnLoad="UserName_Load" />
										<asp:RequiredFieldValidator ID="UserNameOrEmailRequired" runat="server" ControlToValidate="UserName" ErrorMessage="Username is required." ToolTip="Username is required."
											ValidationGroup="LoginForm">
                                            *
										</asp:RequiredFieldValidator>
									</td>
								</tr>
								<tr class="row">
									<td class="item-name">
										<asp:Literal runat="server" ID="lPassword" Text="Password:" />
									</td>
								</tr>
								<tr class="row">
									<td class="item-value">
										<asp:TextBox ID="Password" TextMode="Password" runat="server" MaxLength="50" CssClass="adminInput" Style="width: 200px;" />
										<asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" ErrorMessage="*" ValidationGroup="LoginForm">
                                            *
										</asp:RequiredFieldValidator>
									</td>
								</tr>
								<tr class="row">
									<td class="item-value">
										<asp:CheckBox ID="RememberMe" runat="server" Text="Remember me" />
									</td>
								</tr>
								<tr class="row">
									<td class="message-error">
										<asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
									</td>
								</tr>
								<tr class="row">
									<td>
										<div class="buttons">
											<asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="Login" ValidationGroup="LoginForm" CssClass="adminButtonBlue" />
										</div>
									</td>
								</tr>
							</tbody>
						</table>
					</LayoutTemplate>
				</asp:Login>
			</div>
		</form>
	</body>
</html>
