﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddRole.ascx.cs" Inherits="ECommerce.Administration.Controls.EditRole" %>
<div class="section-header">
	<div class="title">
		<img src="images/ico-catalog.png" />
		<asp:Label ID="LabelAddRoleTitle" runat="server"></asp:Label>
		<a href="RolesManage.aspx">(<%=GetLocalResourceString("Admin.AddRole.BackToRolesList")%>)</a>
	</div>
	<div class="options">
		<asp:Button ID="ButtonSave" runat="server" CssClass="adminButtonBlue" OnClick="ButtonSave_Click" />
	</div>
</div>
<table class="adminContent">
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.AddRole.RoleNameTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextRoleName" runat="server" MaxLength="100"></asp:TextBox>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="*" ValidationGroup="addrole" ControlToValidate="TextRoleName"></asp:RequiredFieldValidator>
		</td>
	</tr>
</table>