﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CustomerCashTicketList.ascx.cs" Inherits="ECommerce.Administration.Controls.CustomerCashTicketList" %>
<div style="text-align: right;">
	<label>
		<%=GetLocalResourceString("Admin.CustomerCashTicketList.UserNameLabel")%>:</label>
	<asp:TextBox ID="TextUserName" runat="server" Width="120"></asp:TextBox>
	<asp:Button ID="ButtonSearch" runat="server" OnClick="ButtonSearch_Click" class="adminButtonBlue" />
</div>
<br />
<asp:GridView ID="GridCustCashTicket" runat="server" OnRowDataBound="GridCustCashTicket_RowDataBound" EnableViewState="true" AutoGenerateColumns="false"
	AllowSorting="false" Width="100%" DataKeyNames="ProviderUserKey" OnRowUpdating="GridCustCashTicket_RowUpdating">
	<Columns>
		<asp:BoundField DataField="UserName" HeaderStyle-Width="15%" />
		<asp:BoundField DataField="Email" HeaderStyle-Width="20%" />
		<asp:TemplateField ItemStyle-Width="20%">
			<ItemTemplate>
				<asp:Repeater ID="RepeaterCashTickets" runat="server">
					<ItemTemplate>
						<div id="cashticketcontainer">
							<label>
								No:</label>
							<%#Eval("CashTicketNumber")%>
							<label>
								<%=GetLocalResourceString("Admin.CustomerCashTicketList.CostLabel")%></label>
							<%#Eval("Cost", "{0:c2}")%>
						</div>
					</ItemTemplate>
				</asp:Repeater>
				<div runat="server" id="cashticketinputcontainer">
					<label>
						<%=GetLocalResourceString("Admin.CustomerCashTicketList.InputCostLabel")%></label>
					<asp:TextBox ID="TextCashTicketCost" runat="server" MaxLength="10"></asp:TextBox>
					<asp:Button ID="ButtonSave" runat="server" CommandName="Update" CssClass="adminButton" />
				</div>
			</ItemTemplate>
		</asp:TemplateField>
	</Columns>
</asp:GridView>
