﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditLanguage.ascx.cs" Inherits="ECommerce.Administration.Controls.EditLanguage" %>
<div class="section-header">
	<div class="title">
		<img src="images/ico-catalog.png" />
		<%--<%=GetLocalResourceString("Admin.CategoryEdit.AddNewCategory")%>--%>
		<asp:Label ID="LabelEditLanguageTitle" runat="server"></asp:Label>
		<a href="LanguageManage.aspx">(<%=GetLocalResourceString("Admin.EditLanguage.BackToLanguageList")%>)</a>
	</div>
	<div class="options">
		<asp:Button ID="ButtonSave" runat="server" CssClass="adminButtonBlue" OnClick="ButtonSave_Click" />
	</div>
</div>
<table class="adminContent">
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditLanguage.NameTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextLanguageName" runat="server" MaxLength="100"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditLanguage.LanguageCultureTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextLanguageCulture" runat="server" MaxLength="20"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditLanguage.PublishedTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBox ID="CheckBoxPublished" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.DisplayOrderTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextDisplayOrder" runat="server" MaxLength="3"></asp:TextBox>
		</td>
	</tr>
</table>
