﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditProductCategory.ascx.cs" Inherits="ECommerce.Administration.Controls.AddProductCategory" %>
<div class="section-header">
	<div class="title">
		<img src="images/ico-catalog.png" />
		<%--<%=GetLocalResourceString("Admin.CategoryEdit.AddNewCategory")%>--%>
		<asp:Label ID="LabelEditCategoryTitle" runat="server"></asp:Label>
		<a href="CategoryManage.aspx">(<%=GetLocalResourceString("Admin.EditCategory.BackToCategoryList")%>)</a>
	</div>
	<div class="options">
		<asp:Button ID="ButtonSave" runat="server" CssClass="adminButtonBlue" OnClick="ButtonSave_Click" />
	</div>
</div>
<table class="adminContent">
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.NameTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextCategoryName" runat="server" MaxLength="100"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.DescriptionTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextDescription" runat="server" TextMode="MultiLine" Columns="80" Rows="10"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.ParentCateogryTitle")%>
		</td>
		<td class="adminData">
			<asp:DropDownList ID="DropDownListTopCategory" runat="server" DataTextField="CategoryName" DataValueField="CategoryID">
			</asp:DropDownList>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.DisplayOrderTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextDisplayOrder" runat="server" MaxLength="3"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.PublishedTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBox ID="CheckPublished" runat="server" />
		</td>
	</tr>
</table>
