﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditShippingMethod.ascx.cs" Inherits="ECommerce.Administration.Controls.EditShippingMethod" %>
<div class="section-header">
	<div class="title">
		<img src="images/ico-catalog.png" />
		<asp:Label ID="LabelEditShippingMethodTitle" runat="server"></asp:Label>
		<a href="ShippingMethodManage.aspx">(<%=GetLocalResourceString("Admin.EditShippingMethod.BackToShippingMethodList")%>)</a>
	</div>
	<div class="options">
		<asp:Button ID="ButtonSave" runat="server" CssClass="adminButtonBlue" OnClick="ButtonSave_Click" />
	</div>
</div>
<table class="adminContent">
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditShippingMethod.NameTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextShippingMethodName" runat="server" MaxLength="100"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditShippingMethod.DescriptionTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextDescription" runat="server" TextMode="MultiLine" Columns="50" Rows="10"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditShippingMethod.DisplayOrderTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextDisplayOrder" runat="server" MaxLength="3"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditShippingMethod.IsActiveTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBox ID="CheckIsActive" runat="server" />
		</td>
	</tr>
</table>
