﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="LocalStringResourceList.ascx.cs" Inherits="ECommerce.Administration.Controls.LocalStringResourceList" %>

<script type="text/javascript">

    $(window).bind('load', function() {
        var cbHeader = $(".cbHeader input");
        var cbRowItem = $(".cbRowItem input");
        cbHeader.bind("click", function() {
            cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
        });
        cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
    });
    
</script>
<div style="text-align:right;">
	<asp:TextBox ID="TextSearchKey" runat="server" Width="150"></asp:TextBox>
	<asp:Button ID="ButtonSearch" runat="server" OnClick="ButtonSearch_Click" class="adminButtonBlue" />
</div>
<asp:GridView ID="GridLocalstringResource" runat="server" OnRowDataBound="GridLocalstringResource_RowDataBound" EnableViewState="true"
	AutoGenerateColumns="false" AllowSorting="false" Width="100%">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbLocaleStringResource" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfLocaleStringResourceId" runat="server" Value='<%# Eval("LocaleStringResourceID") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<%--<asp:BoundField DataField="ResourceName" HeaderStyle-Width="45%" />--%>
		<asp:TemplateField HeaderStyle-Width="45%">
			<ItemTemplate>
				<asp:HyperLink ID="HyperLinkLSR" runat="server"></asp:HyperLink>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:BoundField DataField="ResourceValue" HeaderStyle-Width="50%" />
	</Columns>
</asp:GridView>