﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="NewsList.ascx.cs" Inherits="ECommerce.Administration.Controls.NewsList" %>

<script type="text/javascript">

    $(window).bind('load', function() {
        var cbHeader = $(".cbHeader input");
        var cbRowItem = $(".cbRowItem input");
        cbHeader.bind("click", function() {
            cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
        });
        cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
    });
    
</script>

<asp:GridView ID="GridNews" runat="server" OnRowDataBound="GridNews_RowDataBound" EnableViewState="true" AutoGenerateColumns="false"
	AllowSorting="false" Width="100%">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="5%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbNews" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfNewsId" runat="server" Value='<%# Eval("NewsID") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<%--<asp:BoundField DataField="Title" />--%>
		<asp:TemplateField HeaderStyle-Width="20%">
			<ItemTemplate>
				<asp:HyperLink ID="HyperLinkNewsTitle" runat="server"></asp:HyperLink>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:BoundField DataField="ShortContent" HeaderStyle-Width="35%" />
		<asp:BoundField DataField="CreatedOn" HeaderStyle-Width="20%" />
		<asp:CheckBoxField DataField="Published" HeaderStyle-Width="10%" />
		<asp:CheckBoxField DataField="AllowComments" HeaderStyle-Width="10%" />
	</Columns>
</asp:GridView>
