﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderList.ascx.cs" Inherits="ECommerce.Administration.Controls.OrderList" %>
<div id="filters">
	<ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManagerControl" runat="server" EnableScriptGlobalization="true" EnableScriptLocalization="true">
	</ajaxToolkit:ToolkitScriptManager>
	<asp:Label ID="LabelStartDate" runat="server">
		<%=GetLocalResourceString("Admin.OrderFilterItem.StartDateLabel") %>:
	</asp:Label>
	<asp:TextBox ID="TextStartDate" runat="server" Width="105"></asp:TextBox>
	<ajaxToolkit:CalendarExtender runat="server" TargetControlID="TextStartDate" Format="yyyy, MMMM d" ID="StartCalendar" />
	<asp:Label ID="LabelEndDate" runat="server">
		<%=GetLocalResourceString("Admin.OrderFilterItem.EndDateLabel") %>:
	</asp:Label>
	<asp:TextBox ID="TextEndDate" runat="server" Width="105"></asp:TextBox>
	<ajaxToolkit:CalendarExtender runat="server" TargetControlID="TextEndDate" Format="yyyy, MMMM d" ID="EndCalendar" />
	<asp:Label ID="LabelCustomer" runat="server">
		<%=GetLocalResourceString("Admin.OrderFilterItem.CustomerNameLabel") %>:
	</asp:Label>
	<asp:TextBox ID="TextCustomerName" runat="server" Width="120"></asp:TextBox>
	<asp:Label ID="LabelOrderStatus" runat="server">
		<%=GetLocalResourceString("Admin.OrderFilterItem.OrderStatusLabel") %>:
	</asp:Label>
	<asp:DropDownList ID="ListOrderStatus" runat="server" Width="120">
	</asp:DropDownList>
	<asp:Label ID="LabelPaymentStatus" runat="server">
		<%=GetLocalResourceString("Admin.OrderFilterItem.OrderPaymentStatusLabel") %>:
	</asp:Label>
	<asp:DropDownList ID="ListPaymentStatus" runat="server" Width="120" DataTextField="Name" DataValueField="PaymentStatusID">
	</asp:DropDownList>
	<asp:Label ID="LabelShippingStatus" runat="server">
		<%=GetLocalResourceString("Admin.OrderFilterItem.OrderShippingStatusLabel") %>:
	</asp:Label>
	<asp:DropDownList ID="ListShippingStatus" runat="server">
	</asp:DropDownList>
	<asp:Label ID="LabelOrderNumber" runat="server">
		<%=GetLocalResourceString("Admin.OrderFilterItem.OrderNumberLabel") %>:
	</asp:Label>
	<asp:TextBox ID="TextOrderNumber" runat="server" Width="120"></asp:TextBox>
	<asp:Button ID="ButtonSearch" runat="server" CssClass="adminButtonBlue" OnClick="ButtonSearch_Click" />
</div>
<asp:GridView ID="GridOrders" runat="server" AllowPaging="false" AllowSorting="false" AutoGenerateColumns="false" Width="100%" OnRowDataBound="GridOrders_RowDataBound">
	<Columns>
		<asp:BoundField DataField="OrderTotal" DataFormatString="{0:c2}" ItemStyle-Width="10%" />
		<asp:TemplateField ItemStyle-Width="20%">
			<ItemTemplate>
				<asp:Literal ID="LiteralOrderStatus" runat="server"></asp:Literal>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField ItemStyle-Width="10%">
			<ItemTemplate>
				<asp:Literal ID="LiteralPaymentStatus" runat="server"></asp:Literal>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField ItemStyle-Width="15%">
			<ItemTemplate>
			<asp:Literal ID="LiteralShippingStatus" runat="server"></asp:Literal>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField ItemStyle-Width="15%">
			<ItemTemplate>
				<asp:Literal ID="LiteralUserName" runat="server"></asp:Literal>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField ItemStyle-Width="15%">
			<ItemTemplate>
				<asp:HyperLink ID="HyperLinkOrder" runat="server"></asp:HyperLink>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:BoundField DataField="CreatedOn" ItemStyle-Width="15%" />
	</Columns>
</asp:GridView>