﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RolesList.ascx.cs" Inherits="ECommerce.Administration.Controls.RolesList" %>

<script type="text/javascript">

    $(window).bind('load', function() {
        var cbHeader = $(".cbHeader input");
        var cbRowItem = $(".cbRowItem input");
        cbHeader.bind("click", function() {
            cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
        });
        cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
    });
    
</script>

<asp:GridView ID="GridRoles" runat="server" OnRowDataBound="GridRoles_RowDataBound" EnableViewState="true" AutoGenerateColumns="false"
	AllowSorting="false" Width="100%">
	<Columns>
		<asp:TemplateField HeaderStyle-Width="20%" ItemStyle-HorizontalAlign="Center">
			<HeaderTemplate>
				<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader" />
			</HeaderTemplate>
			<ItemTemplate>
				<asp:CheckBox ID="cbRole" runat="server" CssClass="cbRowItem" />
				<asp:HiddenField ID="hfRoleName" runat="server" Value='<%# Eval("RoleName") %>' />
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField HeaderStyle-Width="30%">
			<ItemTemplate>
				<%#Eval("RoleName")%>
			</ItemTemplate>
		</asp:TemplateField>
		<asp:TemplateField>
			<ItemTemplate>
				<%#Eval("Description")%>
			</ItemTemplate>
		</asp:TemplateField>
	</Columns>
</asp:GridView>
