﻿using System;

namespace ECommerce.Administration
{
	public partial class ShippingMethodManage : AdminBasePage
	{
		protected void Page_init(object sender, EventArgs e)
		{
			if(!IsPostBack)
			{
				ButtonAdd.Text = GetLocalResourceString("Admin.AddButtonText");
				ButtonDelete.Text = GetLocalResourceString("Admin.DeleteButtonText");
			}
		}

		protected void ButtonDelete_Click(object sender, EventArgs e)
		{
			this.ShippingMethodListControl.DeleteSelectedShippingMethods();
		}

		protected void ButtonAdd_Click(object sender, EventArgs e)
		{
			Server.Transfer("EditShippingMethod.aspx");
		}
	}
}
