﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductPictures.ascx.cs" Inherits="ECommerce.Controls.ProductPictures" %>

<script type="text/javascript">

	function OpenProdPicturesPrevWindow()
	{
		window.open('ProductPicturesPreview.aspx?productid=<%= GetProductID() %>', '_blank',
		 'location=0,toolbar=0,menubar=0,directories=0,status=1,resizable=0,scrollbars=yes,height=600,width=750');
	}

	$(document).ready(function()
	{
		var imgsrc = $("#productpicturesnav ul li img").first().attr("src");
		if (imgsrc != undefined && imgsrc != '')
		{
			imgsrc = imgsrc.split("?")[0] + "?" + imgsrc.split("&")[1] + "&picturesize=430";

			$("#prodpicture_prev").attr("src", imgsrc);

			$("#productpicturesnav ul li").first().addClass("act");

			$("#productpicturesnav ul li img").mouseover(function()
			{
				if ($("#productpicturesnav ul li img").length > 1)
				{
					//var theClickedimg = this;

					$("#productpicturesnav ul li img").each(function(index)
					{
						$(this).parent().parent().css("border-color", "#999999");
					});

					$(this).parent().parent().css("border-color", "#990000");

					var imgsrc = $(this).attr("src");
					imgsrc = imgsrc.split("?")[0] + "?" + imgsrc.split("&")[1] + "&picturesize=430";

					$("#prodpicture_prev").attr("src", imgsrc);
				}
			});
		}
	});
</script>

<div id="prodpicturescontainer" class="prod_pictures_container">
	<div id="prodpicturepreview">
		<a title='<%= GetLocalResourceString("ProductPictures.ZoomLink") %>' href="javascript:OpenProdPicturesPrevWindow();">
			<img id="prodpicture_prev" />
		</a>
	</div>
	<div id="productpicturesnav" class="productpictures_nav">
		<asp:Repeater ID="RepeaterMorePictures" runat="server">
			<HeaderTemplate>
				<ul>
			</HeaderTemplate>
			<ItemTemplate>
				<li>
					<a>
						<img src='PictureHandler.ashx?picturesize=50&pictureid=<%# DataBinder.Eval(Container.DataItem, "PictureID") %>' />
					</a>
				</li>
			</ItemTemplate>
			<FooterTemplate>
				</ul>
			</FooterTemplate>
		</asp:Repeater>
	</div>
	<div style="clear: both">
	</div>
</div>
