﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="BasicInfoManage.ascx.cs" Inherits="ECommerce.Customer.Controls.BasicInfoManage" %>
<div id="basicinfocontainer" class="basicinfo_container">
	<table>
		<tr>
			<td class="accountmanagelables">
				<%= GetLocalResourceString("BasicInfoManage.NameLable") %>:
			</td>
			<td>
				<%= GetLocalResourceString("AddressManage.FirstNameLable") %>:
				<asp:TextBox ID="TextFirstName" runat="server" MaxLength="30"></asp:TextBox>&nbsp;
				<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="*" ControlToValidate="TextFirstName"></asp:RequiredFieldValidator>
				<%= GetLocalResourceString("AddressManage.LastNameLable") %>:
				<asp:TextBox ID="TextLastName" MaxLength="30" runat="server"></asp:TextBox>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextLastName" ErrorMessage="*"></asp:RequiredFieldValidator>
			</td>
		</tr>
		<tr>
			<td class="accountmanagelables">
				<%= GetLocalResourceString("BasicInfoManage.EmailLable") %>:
			</td>
			<td>
				<asp:TextBox ID="TextEmail" runat="server"></asp:TextBox>
				<asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ErrorMessage="*"
					ValidationExpression="[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?"
					ControlToValidate="TextEmail"></asp:RegularExpressionValidator>
			</td>
		</tr>
		<tr>
			<td class="accountmanagelables">
				<%= GetLocalResourceString("BasicInfoManage.PhoneNumberLable") %>:
			</td>
			<td>
				<asp:TextBox ID="TextPhoneNumber" runat="server" MaxLength="20"></asp:TextBox>
			</td>
		</tr>
		<tr>
			<td class="accountmanagelables">
				<%= GetLocalResourceString("BasicInfoManage.MobileNumberLable") %>:
			</td>
			<td>
				<asp:TextBox ID="TextMobileNumber" runat="server" MaxLength="20"></asp:TextBox>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<asp:Button ID="ButtonSaveBasicInfo" CssClass="button" runat="server" OnClick="ButtonSaveBasicInfo_Click" />
			</td>
		</tr>
	</table>
</div>