﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MyAccountSummary.ascx.cs" Inherits="ECommerce.Customer.Controls.MyAccountSummary" %>
<div id="myaccountsummarycontainer" class="myaccount_summary_container">
	<div id="welcomecontainer" class="font18">
		<%= GetLocalResourceString("MyAccountSummary.Hi") %>
		<asp:LoginName runat="server" ID="LoginName1" />
		<%= GetLocalResourceString("MyAccountSummary.WelcomeText") %>
		<%= GetLocalResourceString("ECommerce.SiteName")%>
	</div>
	<div id="logininfocontainer">
		<div id="logininfotitle">
			<%= GetLocalResourceString("MyAccountSummary.LoginInfoTitle") %>
		</div>
		<table>
			<tr>
				<td>
					<%= GetLocalResourceString("MyAccountSummary.RegisterDateLable") %>
				</td>
				<td>
					<asp:Label ID="LableRegisterDate" runat="server"></asp:Label>
				</td>
			</tr>
			<tr>
				<td>
					<%= GetLocalResourceString("MyAccountSummary.LastLoginTimeLable") %>
				</td>
				<td>
					<asp:Label ID="LableLastLoginTime" runat="server"></asp:Label>
				</td>
			</tr>
		</table>
	</div>
	<div id="orderinfo">
		<div id="orderinfotitle">
			<%= GetLocalResourceString("MyAccountSummary.OrderInfoTitle") %>
		</div>
		<table>
			<tr>
				<td>
					<%= GetLocalResourceString("MyAccountSummary.AwaitingOrderLable") %>
				</td>
				<td>
					<asp:HyperLink ID="HyperLinkAwaitingOrder" runat="server"></asp:HyperLink>
				</td>
			</tr>
			<tr>
				<td>
					<%= GetLocalResourceString("MyAccountSummary.ActiveOrderLable") %>
				</td>
				<td>
					<asp:HyperLink ID="HyperlinkActiveOrder" runat="server" NavigateUrl="#"></asp:HyperLink>
				</td>
			</tr>
			<tr>
				<td>
					<%= GetLocalResourceString("MyAccountSummary.CompletedOrder")%>
				</td>
				<td>
					<asp:HyperLink ID="HyperLinkComplatedOrder" runat="server" NavigateUrl="#"></asp:HyperLink>
				</td>
			</tr>
			<tr>
				<td>
					<%= GetLocalResourceString("MyAccountSummary.CanceledOrder")%>
				</td>
				<td>
					<asp:HyperLink ID="HyperLinkCanceledOrder" runat="server" NavigateUrl="#"></asp:HyperLink>
				</td>
			</tr>
		</table>
	</div>
</div>
<div class="clear">
</div>
