﻿<%@ Page Language="C#" MasterPageFile="~/ECommerce.Master" AutoEventWireup="true" CodeBehind="OrderDetail.aspx.cs" Inherits="ECommerce.OrderDetail" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
	<div id="orderdetailcontainer">
		<div id="ordernumbercontainer" class="orderdetail_ordernumber_container orderdetail_item">
			<label>
				<asp:Literal ID="LOrderNumberLabel" runat="server"></asp:Literal>:
			</label>
			<asp:Literal ID="LiteralOrderNumber" runat="server"></asp:Literal>
		</div>
		<div id="ordernotecontainer" class="orderdetail_item">
			<fieldset>
				<legend class="orderdetail_item_title">
					<asp:Literal ID="LOrderNoteTitle" runat="server"></asp:Literal>
				</legend>
				<div class="orderdetail_inneritem">
					<asp:ListView ID="ListViewOrderNote" runat="server">
						<LayoutTemplate>
							<table id="listordernote" cellpadding="2" cellspacing="0" class="orderdetail_table">
								<tr style="background-color: #e7e7e7;">
									<th style="width: 35%;">
										<asp:Literal ID="LiteralCol1" runat="server"></asp:Literal>
									</th>
									<th style="width: 65%;">
										<asp:Literal ID="LiteralCol2" runat="server"></asp:Literal>
									</th>
								</tr>
								<tr id="itemPlaceholder" runat="server" />
							</table>
						</LayoutTemplate>
						<ItemTemplate>
							<tr runat="server">
								<td>
									<%#Eval("CreatedOn") %>
								</td>
								<td>
									<%#Eval("Note") %>
								</td>
							</tr>
						</ItemTemplate>
					</asp:ListView>
				</div>
			</fieldset>
		</div>
		<div id="orderproductscontainer" class="orderdetail_item">
			<fieldset>
				<legend class="orderdetail_item_title">
					<asp:Literal ID="LOrderProductTitle" runat="server"></asp:Literal>
				</legend>
				<div class="orderdetail_inneritem">
					<asp:ListView ID="ListProducts" runat="server" OnPreRender="ListProducts_PreRender">
						<LayoutTemplate>
							<table id="tableproducts" cellpadding="2" cellspacing="0" border="1" class="orderdetail_table">
								<tr style="background-color: #e7e7e7;">
									<th style="width: 330px;">
										<asp:Literal ID="LiteralProductNameHeader" runat="server"></asp:Literal>
									</th>
									<th style="width: 100px;">
										<asp:Literal ID="LiteralProductPriceHeader" runat="server"></asp:Literal>
									</th>
									<th style="width: 80px;">
										<asp:Literal ID="LiteralProductQuantityHeader" runat="server"></asp:Literal>
									</th>
									<th style="width: 100px;">
										<asp:Literal ID="LitieralProductSumPriceHeader" runat="server"></asp:Literal>
									</th>
								</tr>
								<tr id="itemPlaceholder" runat="server" />
							</table>
						</LayoutTemplate>
						<ItemTemplate>
							<tr align="center">
								<td>
									<div class="floatleft picturebox productimgcontainer">
										<img src='../PictureHandler.ashx?productid=<%#Eval("ProductID") %>&picturesize=70' />
									</div>
									<div class="floatleft" style="margin-left: 5px; padding-top: 20px;">
										<%#Eval("ProductName")%>
									</div>
								</td>
								<td>
									<%#Eval("ListPrice", "{0:c2}")%>
								</td>
								<td>
									<%#Eval("Quantity")%>
								</td>
								<td>
									<%#Eval("SumPrice", "{0:c2}")%>
								</td>
							</tr>
						</ItemTemplate>
					</asp:ListView>
					<div style="width: 610px; text-align: right; font-weight: bold; margin-top: 10px;">
						<asp:Literal ID="LOrderTotalPriceLabel" runat="server"></asp:Literal>:
						<asp:Literal ID="LiteralOrderTotalPrice" runat="server"></asp:Literal>
					</div>
				</div>
			</fieldset>
		</div>
		<div id="ordershippingaddresscontainer" class="orderdetail_item">
			<fieldset>
				<legend class="orderdetail_item_title">
					<asp:Literal ID="LShippingAddressTitle" runat="server"></asp:Literal>
				</legend>
				<div class="orderdetail_inneritem">
					<table id="tableshippingaddress" cellpadding="2" cellspacing="3" border="0" width="350px">
						<tr>
							<td>
								<asp:Literal ID="LShippingAddressFullNameLabel" runat="server"></asp:Literal>:
							</td>
							<td>
								<asp:Literal ID="Literal_ShippingAddress_FullName" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Literal ID="LShippingAddressAreaLabel" runat="server"></asp:Literal>:
							</td>
							<td>
								<asp:Literal ID="Literal_ShippingAddress_Area" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Literal ID="LShippingAddressPhoneNumberLabel" runat="server"></asp:Literal>:
							</td>
							<td>
								<asp:Literal ID="Literal_ShippingAddress_PhoneNumber" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Literal ID="LShippingAddressMobileNumberLabel" runat="server"></asp:Literal>:
							</td>
							<td>
								<asp:Literal ID="Literal_ShippingAddress_MobileNumber" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Literal ID="LShippingAddressAddressDetailLabel" runat="server"></asp:Literal>:
							</td>
							<td>
								<asp:Literal ID="Literal_ShippingAddress_AddressDetail" runat="server"></asp:Literal>
							</td>
						</tr>
					</table>
				</div>
			</fieldset>
		</div>
		<div id="ordershippingmethodcontainer" class="orderdetail_item">
			<fieldset>
				<legend class="orderdetail_item_title">
					<asp:Literal ID="LShippingMethodTitle" runat="server"></asp:Literal>
				</legend>
				<div class="orderdetail_inneritem">
					<table id="shippingmethod" cellpadding="2" cellspacing="0" border="1" class="orderdetail_table" width="350px">
						<tr style="background-color: #e7e7e7;">
							<th>
								<asp:Literal ID="LShippingMethodHeader" runat="server"></asp:Literal>
							</th>
							<th>
								<asp:Literal ID="LShippingCostHeader" runat="server"></asp:Literal>
							</th>
						</tr>
						<tr align="center">
							<td>
								<asp:Literal ID="Literal_ShippingMethod" runat="server"></asp:Literal>
							</td>
							<td>
								<asp:Literal ID="Literal_ShippingCost" runat="server"></asp:Literal>
							</td>
						</tr>
					</table>
				</div>
			</fieldset>
		</div>
		<div id="orderdeliverycontainer" class="orderdetail_item">
			<fieldset>
				<legend class="orderdetail_item_title">
					<asp:Literal ID="LOrderDetailDeliveryTitle" runat="server"></asp:Literal>
				</legend>
				<div class="orderdetail_inneritem">
					<table id="delivery" border="1" class="orderdetail_table">
						<tr style="background-color: #e7e7e7;">
							<th style="width: 180px">
								<asp:Literal ID="LOrderDetailDeliveryCompanyHeader" runat="server"></asp:Literal>
							</th>
							<th style="width: 80px;">
								<asp:Literal ID="LOrderDetailDeliveryTrackingNumberHeader" runat="server"></asp:Literal>
							</th>
							<th style="width: 180px;">
								<asp:Literal ID="LOrderDetailDeliveryDateHeader" runat="server"></asp:Literal>
							</th>
						</tr>
						<tr align="center">
							<td>
								<asp:Literal ID="Literal_DeliveryCompany" runat="server"></asp:Literal>
							</td>
							<td>
								<asp:Literal ID="Literal_DeliveryTrackingNumber" runat="server"></asp:Literal>
							</td>
							<td>
								<asp:Literal ID="Literal_DeliveryDate" runat="server"></asp:Literal>
							</td>
						</tr>
					</table>
				</div>
			</fieldset>
		</div>
		<div id="orderpaymentcontainer" class="orderdetail_item">
			<fieldset>
				<legend class="orderdetail_item_title">
					<asp:Literal ID="LOrderDetailPaymentTitle" runat="server"></asp:Literal>
				</legend>
				<div class="orderdetail_inneritem">
					<asp:Literal ID="Literal_PaymentMethod" runat="server"></asp:Literal>
				</div>
			</fieldset>
		</div>
		<div id="ordersummarycontainer" class="orderdetail_item">
			<fieldset>
				<legend class="orderdetail_item_title">
					<asp:Literal ID="LOrderSummaryTitle" runat="server"></asp:Literal>
				</legend>
				<div class="orderdetail_inneritem">
					<table id="ordersummary" border="0" width="280px" cellspacing="3">
						<tr>
							<td>
								<asp:Literal ID="LOrderSummaryProdTotalPriceLabel" runat="server"></asp:Literal>:
							</td>
							<td>
								<asp:Literal ID="LiteralProductTotalPrice" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Literal ID="LOrderSummaryShippingCostLabel" runat="server"></asp:Literal>:
							</td>
							<td>
								<asp:Literal ID="LiteralShippingCost" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Literal ID="LOrderSummaryCashTicketCostLabel" runat="server"></asp:Literal>
							</td>
							<td>
								-<asp:Literal ID="LiteralCashTicketCost" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td>
								<asp:Literal ID="LOrderSummaryToPay" runat="server"></asp:Literal>:
							</td>
							<td>
								<asp:Literal ID="LiteralToPay" runat="server"></asp:Literal>
							</td>
						</tr>
					</table>
				</div>
			</fieldset>
		</div>
	</div>
</asp:Content>
